/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"

#if _WIN32
#pragma warning(push,1)
#pragma warning(disable:4702) // unreachable code
#endif
#line 162 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"


// some helpers
#include <float.h> // for FLT_MAX

static CSphFilterSettings * AddMvaRange ( SqlParser_c * pParser, const SqlNode_t & tNode, int64_t iMin, int64_t iMax )
{
	CSphFilterSettings * f = pParser->AddFilter ( tNode, SPH_FILTER_RANGE );
	f->m_eMvaFunc = ( tNode.m_iType==TOK_ALL ) ? SPH_MVAFUNC_ALL : SPH_MVAFUNC_ANY;
	f->m_iMinValue = iMin;
	f->m_iMaxValue = iMax;
	return f;
}

#define TRACK_BOUNDS(_res,_left,_right) \
	_res = _left; \
	if ( _res.m_iStart>0 && pParser->m_pBuf[_res.m_iStart-1]=='`' ) \
		_res.m_iStart--; \
	_res.m_iEnd = _right.m_iEnd; \
	_res.m_iType = 0;


#line 100 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "bissphinxql.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_TOK_IDENT = 3,                  /* "identifier"  */
  YYSYMBOL_TOK_BACKIDENT = 4,              /* "`identifier`"  */
  YYSYMBOL_TOK_ATIDENT = 5,                /* TOK_ATIDENT  */
  YYSYMBOL_TOK_CONST_INT = 6,              /* "integer"  */
  YYSYMBOL_TOK_CONST_FLOAT = 7,            /* "float"  */
  YYSYMBOL_TOK_CONST_MVA = 8,              /* TOK_CONST_MVA  */
  YYSYMBOL_TOK_QUOTED_STRING = 9,          /* "string"  */
  YYSYMBOL_TOK_USERVAR = 10,               /* "@uservar"  */
  YYSYMBOL_TOK_SYSVAR = 11,                /* "@@sysvar"  */
  YYSYMBOL_TOK_CONST_STRINGS = 12,         /* TOK_CONST_STRINGS  */
  YYSYMBOL_TOK_BAD_NUMERIC = 13,           /* TOK_BAD_NUMERIC  */
  YYSYMBOL_TOK_SUBKEY = 14,                /* TOK_SUBKEY  */
  YYSYMBOL_TOK_BACKTICKED_SUBKEY = 15,     /* TOK_BACKTICKED_SUBKEY  */
  YYSYMBOL_TOK_DOT_NUMBER = 16,            /* ".number"  */
  YYSYMBOL_TOK_AGENT = 17,                 /* TOK_AGENT  */
  YYSYMBOL_TOK_ALL = 18,                   /* TOK_ALL  */
  YYSYMBOL_TOK_ANY = 19,                   /* TOK_ANY  */
  YYSYMBOL_TOK_AS = 20,                    /* TOK_AS  */
  YYSYMBOL_TOK_ASC = 21,                   /* TOK_ASC  */
  YYSYMBOL_TOK_ATTACH = 22,                /* TOK_ATTACH  */
  YYSYMBOL_TOK_ATTRIBUTES = 23,            /* TOK_ATTRIBUTES  */
  YYSYMBOL_TOK_AVG = 24,                   /* TOK_AVG  */
  YYSYMBOL_TOK_BEGIN = 25,                 /* TOK_BEGIN  */
  YYSYMBOL_TOK_BETWEEN = 26,               /* TOK_BETWEEN  */
  YYSYMBOL_TOK_BIGINT = 27,                /* TOK_BIGINT  */
  YYSYMBOL_TOK_BY = 28,                    /* TOK_BY  */
  YYSYMBOL_TOK_CALL = 29,                  /* TOK_CALL  */
  YYSYMBOL_TOK_CHARACTER = 30,             /* TOK_CHARACTER  */
  YYSYMBOL_TOK_CHUNK = 31,                 /* TOK_CHUNK  */
  YYSYMBOL_TOK_CLUSTER = 32,               /* TOK_CLUSTER  */
  YYSYMBOL_TOK_COLLATE = 33,               /* TOK_COLLATE  */
  YYSYMBOL_TOK_COLLATION = 34,             /* TOK_COLLATION  */
  YYSYMBOL_TOK_COLUMN = 35,                /* TOK_COLUMN  */
  YYSYMBOL_TOK_COMMIT = 36,                /* TOK_COMMIT  */
  YYSYMBOL_TOK_COMMITTED = 37,             /* TOK_COMMITTED  */
  YYSYMBOL_TOK_COUNT = 38,                 /* TOK_COUNT  */
  YYSYMBOL_TOK_CREATE = 39,                /* TOK_CREATE  */
  YYSYMBOL_TOK_DATABASES = 40,             /* TOK_DATABASES  */
  YYSYMBOL_TOK_DDLCLAUSE = 41,             /* TOK_DDLCLAUSE  */
  YYSYMBOL_TOK_DEBUGCLAUSE = 42,           /* TOK_DEBUGCLAUSE  */
  YYSYMBOL_TOK_DELETE = 43,                /* TOK_DELETE  */
  YYSYMBOL_TOK_DESC = 44,                  /* TOK_DESC  */
  YYSYMBOL_TOK_DESCRIBE = 45,              /* TOK_DESCRIBE  */
  YYSYMBOL_TOK_DISTINCT = 46,              /* TOK_DISTINCT  */
  YYSYMBOL_TOK_DIV = 47,                   /* TOK_DIV  */
  YYSYMBOL_TOK_DOUBLE = 48,                /* TOK_DOUBLE  */
  YYSYMBOL_TOK_EXPLAIN = 49,               /* TOK_EXPLAIN  */
  YYSYMBOL_TOK_FACET = 50,                 /* TOK_FACET  */
  YYSYMBOL_TOK_FALSE = 51,                 /* TOK_FALSE  */
  YYSYMBOL_TOK_FLOAT = 52,                 /* TOK_FLOAT  */
  YYSYMBOL_TOK_FLUSH = 53,                 /* TOK_FLUSH  */
  YYSYMBOL_TOK_FOR = 54,                   /* TOK_FOR  */
  YYSYMBOL_TOK_FORCE = 55,                 /* TOK_FORCE  */
  YYSYMBOL_TOK_FROM = 56,                  /* TOK_FROM  */
  YYSYMBOL_TOK_GLOBAL = 57,                /* TOK_GLOBAL  */
  YYSYMBOL_TOK_GROUP = 58,                 /* TOK_GROUP  */
  YYSYMBOL_TOK_GROUPBY = 59,               /* TOK_GROUPBY  */
  YYSYMBOL_TOK_GROUP_CONCAT = 60,          /* TOK_GROUP_CONCAT  */
  YYSYMBOL_TOK_HAVING = 61,                /* TOK_HAVING  */
  YYSYMBOL_TOK_HOSTNAMES = 62,             /* TOK_HOSTNAMES  */
  YYSYMBOL_TOK_IGNORE = 63,                /* TOK_IGNORE  */
  YYSYMBOL_TOK_IN = 64,                    /* TOK_IN  */
  YYSYMBOL_TOK_INDEX = 65,                 /* TOK_INDEX  */
  YYSYMBOL_TOK_INDEXES = 66,               /* TOK_INDEXES  */
  YYSYMBOL_TOK_INDEXOF = 67,               /* TOK_INDEXOF  */
  YYSYMBOL_TOK_INSERT = 68,                /* TOK_INSERT  */
  YYSYMBOL_TOK_INT = 69,                   /* TOK_INT  */
  YYSYMBOL_TOK_INTEGER = 70,               /* TOK_INTEGER  */
  YYSYMBOL_TOK_INTO = 71,                  /* TOK_INTO  */
  YYSYMBOL_TOK_IS = 72,                    /* TOK_IS  */
  YYSYMBOL_TOK_ISOLATION = 73,             /* TOK_ISOLATION  */
  YYSYMBOL_TOK_LEVEL = 74,                 /* TOK_LEVEL  */
  YYSYMBOL_TOK_LIKE = 75,                  /* TOK_LIKE  */
  YYSYMBOL_TOK_LIMIT = 76,                 /* TOK_LIMIT  */
  YYSYMBOL_TOK_LOGS = 77,                  /* TOK_LOGS  */
  YYSYMBOL_TOK_MATCH = 78,                 /* TOK_MATCH  */
  YYSYMBOL_TOK_MAX = 79,                   /* TOK_MAX  */
  YYSYMBOL_TOK_META = 80,                  /* TOK_META  */
  YYSYMBOL_TOK_MIN = 81,                   /* TOK_MIN  */
  YYSYMBOL_TOK_MOD = 82,                   /* TOK_MOD  */
  YYSYMBOL_TOK_MULTI = 83,                 /* TOK_MULTI  */
  YYSYMBOL_TOK_MULTI64 = 84,               /* TOK_MULTI64  */
  YYSYMBOL_TOK_NAMES = 85,                 /* TOK_NAMES  */
  YYSYMBOL_TOK_NOT = 86,                   /* TOK_NOT  */
  YYSYMBOL_TOK_NULL = 87,                  /* TOK_NULL  */
  YYSYMBOL_TOK_OFFSET = 88,                /* TOK_OFFSET  */
  YYSYMBOL_TOK_OPTION = 89,                /* TOK_OPTION  */
  YYSYMBOL_TOK_ORDER = 90,                 /* TOK_ORDER  */
  YYSYMBOL_TOK_OPTIMIZE = 91,              /* TOK_OPTIMIZE  */
  YYSYMBOL_TOK_PLAN = 92,                  /* TOK_PLAN  */
  YYSYMBOL_TOK_PLUGINS = 93,               /* TOK_PLUGINS  */
  YYSYMBOL_TOK_PROFILE = 94,               /* TOK_PROFILE  */
  YYSYMBOL_TOK_RAND = 95,                  /* TOK_RAND  */
  YYSYMBOL_TOK_RAMCHUNK = 96,              /* TOK_RAMCHUNK  */
  YYSYMBOL_TOK_READ = 97,                  /* TOK_READ  */
  YYSYMBOL_TOK_REGEX = 98,                 /* TOK_REGEX  */
  YYSYMBOL_TOK_RECONFIGURE = 99,           /* TOK_RECONFIGURE  */
  YYSYMBOL_TOK_RELOAD = 100,               /* TOK_RELOAD  */
  YYSYMBOL_TOK_REPEATABLE = 101,           /* TOK_REPEATABLE  */
  YYSYMBOL_TOK_REPLACE = 102,              /* TOK_REPLACE  */
  YYSYMBOL_TOK_REMAP = 103,                /* TOK_REMAP  */
  YYSYMBOL_TOK_ROLLBACK = 104,             /* TOK_ROLLBACK  */
  YYSYMBOL_TOK_RTINDEX = 105,              /* TOK_RTINDEX  */
  YYSYMBOL_TOK_SELECT = 106,               /* TOK_SELECT  */
  YYSYMBOL_TOK_SERIALIZABLE = 107,         /* TOK_SERIALIZABLE  */
  YYSYMBOL_TOK_SET = 108,                  /* TOK_SET  */
  YYSYMBOL_TOK_SETTINGS = 109,             /* TOK_SETTINGS  */
  YYSYMBOL_TOK_SESSION = 110,              /* TOK_SESSION  */
  YYSYMBOL_TOK_SHOW = 111,                 /* TOK_SHOW  */
  YYSYMBOL_TOK_SONAME = 112,               /* TOK_SONAME  */
  YYSYMBOL_TOK_START = 113,                /* TOK_START  */
  YYSYMBOL_TOK_STATUS = 114,               /* TOK_STATUS  */
  YYSYMBOL_TOK_STRING = 115,               /* TOK_STRING  */
  YYSYMBOL_TOK_SYSFILTERS = 116,           /* TOK_SYSFILTERS  */
  YYSYMBOL_TOK_SUM = 117,                  /* TOK_SUM  */
  YYSYMBOL_TOK_TABLE = 118,                /* TOK_TABLE  */
  YYSYMBOL_TOK_TABLES = 119,               /* TOK_TABLES  */
  YYSYMBOL_TOK_THREADS = 120,              /* TOK_THREADS  */
  YYSYMBOL_TOK_TO = 121,                   /* TOK_TO  */
  YYSYMBOL_TOK_TRANSACTION = 122,          /* TOK_TRANSACTION  */
  YYSYMBOL_TOK_TRUE = 123,                 /* TOK_TRUE  */
  YYSYMBOL_TOK_TRUNCATE = 124,             /* TOK_TRUNCATE  */
  YYSYMBOL_TOK_UNCOMMITTED = 125,          /* TOK_UNCOMMITTED  */
  YYSYMBOL_TOK_UPDATE = 126,               /* TOK_UPDATE  */
  YYSYMBOL_TOK_USE = 127,                  /* TOK_USE  */
  YYSYMBOL_TOK_VALUES = 128,               /* TOK_VALUES  */
  YYSYMBOL_TOK_VARIABLES = 129,            /* TOK_VARIABLES  */
  YYSYMBOL_TOK_WARNINGS = 130,             /* TOK_WARNINGS  */
  YYSYMBOL_TOK_WEIGHT = 131,               /* TOK_WEIGHT  */
  YYSYMBOL_TOK_WHERE = 132,                /* TOK_WHERE  */
  YYSYMBOL_TOK_WITH = 133,                 /* TOK_WITH  */
  YYSYMBOL_TOK_WITHIN = 134,               /* TOK_WITHIN  */
  YYSYMBOL_TOK_LTE = 135,                  /* "<="  */
  YYSYMBOL_TOK_GTE = 136,                  /* ">="  */
  YYSYMBOL_TOK_NE = 137,                   /* "!="  */
  YYSYMBOL_TOK_OR = 138,                   /* TOK_OR  */
  YYSYMBOL_TOK_AND = 139,                  /* TOK_AND  */
  YYSYMBOL_140_ = 140,                     /* '|'  */
  YYSYMBOL_141_ = 141,                     /* '&'  */
  YYSYMBOL_142_ = 142,                     /* '='  */
  YYSYMBOL_143_ = 143,                     /* '<'  */
  YYSYMBOL_144_ = 144,                     /* '>'  */
  YYSYMBOL_145_ = 145,                     /* '+'  */
  YYSYMBOL_146_ = 146,                     /* '-'  */
  YYSYMBOL_147_ = 147,                     /* '*'  */
  YYSYMBOL_148_ = 148,                     /* '/'  */
  YYSYMBOL_149_ = 149,                     /* '%'  */
  YYSYMBOL_TOK_NEG = 150,                  /* TOK_NEG  */
  YYSYMBOL_151_ = 151,                     /* ';'  */
  YYSYMBOL_152_ = 152,                     /* ':'  */
  YYSYMBOL_153_ = 153,                     /* ','  */
  YYSYMBOL_154_ = 154,                     /* '('  */
  YYSYMBOL_155_ = 155,                     /* ')'  */
  YYSYMBOL_156_ = 156,                     /* '{'  */
  YYSYMBOL_157_ = 157,                     /* '}'  */
  YYSYMBOL_158_ = 158,                     /* '['  */
  YYSYMBOL_159_ = 159,                     /* ']'  */
  YYSYMBOL_YYACCEPT = 160,                 /* $accept  */
  YYSYMBOL_request = 161,                  /* request  */
  YYSYMBOL_statement = 162,                /* statement  */
  YYSYMBOL_reserved_no_option = 163,       /* reserved_no_option  */
  YYSYMBOL_reserved_set_tail = 164,        /* reserved_set_tail  */
  YYSYMBOL_reserved_set = 165,             /* reserved_set  */
  YYSYMBOL_reserved_set_full = 166,        /* reserved_set_full  */
  YYSYMBOL_ident_set = 167,                /* ident_set  */
  YYSYMBOL_ident = 168,                    /* ident  */
  YYSYMBOL_ident_no_option = 169,          /* ident_no_option  */
  YYSYMBOL_identcol = 170,                 /* identcol  */
  YYSYMBOL_identidx = 171,                 /* identidx  */
  YYSYMBOL_one_index = 172,                /* one_index  */
  YYSYMBOL_only_one_index = 173,           /* only_one_index  */
  YYSYMBOL_chunk_key = 174,                /* chunk_key  */
  YYSYMBOL_chunk_keys = 175,               /* chunk_keys  */
  YYSYMBOL_string_key = 176,               /* string_key  */
  YYSYMBOL_string_keys = 177,              /* string_keys  */
  YYSYMBOL_multi_strings_and_maybe_chunk_key = 178, /* multi_strings_and_maybe_chunk_key  */
  YYSYMBOL_multi_chunks_and_maybe_string_key = 179, /* multi_chunks_and_maybe_string_key  */
  YYSYMBOL_fromkeys = 180,                 /* fromkeys  */
  YYSYMBOL_one_index_opt_subindex = 181,   /* one_index_opt_subindex  */
  YYSYMBOL_one_index_opt_chunk = 182,      /* one_index_opt_chunk  */
  YYSYMBOL_from_target = 183,              /* from_target  */
  YYSYMBOL_list_of_indexes = 184,          /* list_of_indexes  */
  YYSYMBOL_string_nokeys = 185,            /* string_nokeys  */
  YYSYMBOL_multi_strings_and_maybe_chunk_nokey = 186, /* multi_strings_and_maybe_chunk_nokey  */
  YYSYMBOL_sysvar = 187,                   /* sysvar  */
  YYSYMBOL_sysvar_ext = 188,               /* sysvar_ext  */
  YYSYMBOL_multi_stmt_list = 189,          /* multi_stmt_list  */
  YYSYMBOL_multi_stmt = 190,               /* multi_stmt  */
  YYSYMBOL_select = 191,                   /* select  */
  YYSYMBOL_select1 = 192,                  /* select1  */
  YYSYMBOL_opt_tablefunc_args = 193,       /* opt_tablefunc_args  */
  YYSYMBOL_tablefunc_args_list = 194,      /* tablefunc_args_list  */
  YYSYMBOL_tablefunc_arg = 195,            /* tablefunc_arg  */
  YYSYMBOL_subselect_start = 196,          /* subselect_start  */
  YYSYMBOL_opt_outer_order = 197,          /* opt_outer_order  */
  YYSYMBOL_opt_outer_limit = 198,          /* opt_outer_limit  */
  YYSYMBOL_select_from = 199,              /* select_from  */
  YYSYMBOL_200_1 = 200,                    /* $@1  */
  YYSYMBOL_select_items_list = 201,        /* select_items_list  */
  YYSYMBOL_select_item = 202,              /* select_item  */
  YYSYMBOL_opt_alias = 203,                /* opt_alias  */
  YYSYMBOL_select_expr = 204,              /* select_expr  */
  YYSYMBOL_opt_where_clause = 205,         /* opt_where_clause  */
  YYSYMBOL_where_clause = 206,             /* where_clause  */
  YYSYMBOL_where_expr = 207,               /* where_expr  */
  YYSYMBOL_where_item = 208,               /* where_item  */
  YYSYMBOL_filter_expr = 209,              /* filter_expr  */
  YYSYMBOL_filter_item = 210,              /* filter_item  */
  YYSYMBOL_expr_ident = 211,               /* expr_ident  */
  YYSYMBOL_mva_aggr = 212,                 /* mva_aggr  */
  YYSYMBOL_const_int = 213,                /* const_int  */
  YYSYMBOL_const_float = 214,              /* const_float  */
  YYSYMBOL_const_float_unsigned = 215,     /* const_float_unsigned  */
  YYSYMBOL_const_list = 216,               /* const_list  */
  YYSYMBOL_string_list = 217,              /* string_list  */
  YYSYMBOL_opt_group_clause = 218,         /* opt_group_clause  */
  YYSYMBOL_opt_int = 219,                  /* opt_int  */
  YYSYMBOL_group_items_list = 220,         /* group_items_list  */
  YYSYMBOL_opt_having_clause = 221,        /* opt_having_clause  */
  YYSYMBOL_opt_group_order_clause = 222,   /* opt_group_order_clause  */
  YYSYMBOL_group_order_clause = 223,       /* group_order_clause  */
  YYSYMBOL_opt_order_clause = 224,         /* opt_order_clause  */
  YYSYMBOL_order_clause = 225,             /* order_clause  */
  YYSYMBOL_order_items_list = 226,         /* order_items_list  */
  YYSYMBOL_order_item = 227,               /* order_item  */
  YYSYMBOL_opt_limit_clause = 228,         /* opt_limit_clause  */
  YYSYMBOL_limit_clause = 229,             /* limit_clause  */
  YYSYMBOL_opt_option_clause = 230,        /* opt_option_clause  */
  YYSYMBOL_option_clause = 231,            /* option_clause  */
  YYSYMBOL_option_list = 232,              /* option_list  */
  YYSYMBOL_option_item = 233,              /* option_item  */
  YYSYMBOL_named_const_list = 234,         /* named_const_list  */
  YYSYMBOL_named_const = 235,              /* named_const  */
  YYSYMBOL_opt_hint_clause = 236,          /* opt_hint_clause  */
  YYSYMBOL_hint_list = 237,                /* hint_list  */
  YYSYMBOL_identidx_list = 238,            /* identidx_list  */
  YYSYMBOL_hint_item = 239,                /* hint_item  */
  YYSYMBOL_expr = 240,                     /* expr  */
  YYSYMBOL_function = 241,                 /* function  */
  YYSYMBOL_arglist = 242,                  /* arglist  */
  YYSYMBOL_arg = 243,                      /* arg  */
  YYSYMBOL_json_aggr = 244,                /* json_aggr  */
  YYSYMBOL_consthash = 245,                /* consthash  */
  YYSYMBOL_hash_key = 246,                 /* hash_key  */
  YYSYMBOL_hash_val = 247,                 /* hash_val  */
  YYSYMBOL_show_stmt = 248,                /* show_stmt  */
  YYSYMBOL_like_filter = 249,              /* like_filter  */
  YYSYMBOL_show_what = 250,                /* show_what  */
  YYSYMBOL_index_or_table = 251,           /* index_or_table  */
  YYSYMBOL_set_stmt = 252,                 /* set_stmt  */
  YYSYMBOL_opt_collate = 253,              /* opt_collate  */
  YYSYMBOL_set_global_stmt = 254,          /* set_global_stmt  */
  YYSYMBOL_set_string_value = 255,         /* set_string_value  */
  YYSYMBOL_bool_or_integer_value = 256,    /* bool_or_integer_value  */
  YYSYMBOL_set_value = 257,                /* set_value  */
  YYSYMBOL_simple_set_value = 258,         /* simple_set_value  */
  YYSYMBOL_transact_op = 259,              /* transact_op  */
  YYSYMBOL_start_transaction = 260,        /* start_transaction  */
  YYSYMBOL_insert_into = 261,              /* insert_into  */
  YYSYMBOL_insert_or_replace = 262,        /* insert_or_replace  */
  YYSYMBOL_opt_column_list = 263,          /* opt_column_list  */
  YYSYMBOL_column_ident = 264,             /* column_ident  */
  YYSYMBOL_column_list = 265,              /* column_list  */
  YYSYMBOL_insert_rows_list = 266,         /* insert_rows_list  */
  YYSYMBOL_insert_row = 267,               /* insert_row  */
  YYSYMBOL_insert_vals_list = 268,         /* insert_vals_list  */
  YYSYMBOL_insert_val = 269,               /* insert_val  */
  YYSYMBOL_delete_from = 270,              /* delete_from  */
  YYSYMBOL_271_2 = 271,                    /* $@2  */
  YYSYMBOL_call_proc = 272,                /* call_proc  */
  YYSYMBOL_call_args_list = 273,           /* call_args_list  */
  YYSYMBOL_call_arg = 274,                 /* call_arg  */
  YYSYMBOL_const_string_list = 275,        /* const_string_list  */
  YYSYMBOL_opt_call_opts_list = 276,       /* opt_call_opts_list  */
  YYSYMBOL_call_opts_list = 277,           /* call_opts_list  */
  YYSYMBOL_call_opt = 278,                 /* call_opt  */
  YYSYMBOL_opt_as = 279,                   /* opt_as  */
  YYSYMBOL_call_opt_name = 280,            /* call_opt_name  */
  YYSYMBOL_describe = 281,                 /* describe  */
  YYSYMBOL_describe_opt = 282,             /* describe_opt  */
  YYSYMBOL_describe_tok = 283,             /* describe_tok  */
  YYSYMBOL_update = 284,                   /* update  */
  YYSYMBOL_285_3 = 285,                    /* $@3  */
  YYSYMBOL_update_items_list = 286,        /* update_items_list  */
  YYSYMBOL_update_item = 287,              /* update_item  */
  YYSYMBOL_opt_show_variables_where_or_like = 288, /* opt_show_variables_where_or_like  */
  YYSYMBOL_show_variables_where = 289,     /* show_variables_where  */
  YYSYMBOL_show_variables_where_list = 290, /* show_variables_where_list  */
  YYSYMBOL_show_variables_where_entry = 291, /* show_variables_where_entry  */
  YYSYMBOL_set_transaction = 292,          /* set_transaction  */
  YYSYMBOL_opt_scope = 293,                /* opt_scope  */
  YYSYMBOL_isolation_level = 294,          /* isolation_level  */
  YYSYMBOL_attach_index = 295,             /* attach_index  */
  YYSYMBOL_opt_with_truncate = 296,        /* opt_with_truncate  */
  YYSYMBOL_flush_rtindex = 297,            /* flush_rtindex  */
  YYSYMBOL_flush_ramchunk = 298,           /* flush_ramchunk  */
  YYSYMBOL_flush_index = 299,              /* flush_index  */
  YYSYMBOL_flush_hostnames = 300,          /* flush_hostnames  */
  YYSYMBOL_flush_logs = 301,               /* flush_logs  */
  YYSYMBOL_select_sysvar = 302,            /* select_sysvar  */
  YYSYMBOL_sysvar_list = 303,              /* sysvar_list  */
  YYSYMBOL_sysvar_item = 304,              /* sysvar_item  */
  YYSYMBOL_sysvar_name = 305,              /* sysvar_name  */
  YYSYMBOL_select_dual = 306,              /* select_dual  */
  YYSYMBOL_truncate = 307,                 /* truncate  */
  YYSYMBOL_rtindex = 308,                  /* rtindex  */
  YYSYMBOL_opt_with_reconfigure = 309,     /* opt_with_reconfigure  */
  YYSYMBOL_optimize_index = 310,           /* optimize_index  */
  YYSYMBOL_311_4 = 311,                    /* $@4  */
  YYSYMBOL_reload_plugins = 312,           /* reload_plugins  */
  YYSYMBOL_json_field = 313,               /* json_field  */
  YYSYMBOL_json_expr = 314,                /* json_expr  */
  YYSYMBOL_subscript = 315,                /* subscript  */
  YYSYMBOL_subkey = 316,                   /* subkey  */
  YYSYMBOL_streq = 317,                    /* streq  */
  YYSYMBOL_strval = 318,                   /* strval  */
  YYSYMBOL_opt_distinct_item = 319,        /* opt_distinct_item  */
  YYSYMBOL_opt_facet_by_items_list = 320,  /* opt_facet_by_items_list  */
  YYSYMBOL_facet_by = 321,                 /* facet_by  */
  YYSYMBOL_facet_item = 322,               /* facet_item  */
  YYSYMBOL_facet_expr = 323,               /* facet_expr  */
  YYSYMBOL_facet_items_list = 324,         /* facet_items_list  */
  YYSYMBOL_facet_stmt = 325,               /* facet_stmt  */
  YYSYMBOL_opt_reload_index_from = 326,    /* opt_reload_index_from  */
  YYSYMBOL_reload_index = 327,             /* reload_index  */
  YYSYMBOL_reload_indexes = 328,           /* reload_indexes  */
  YYSYMBOL_sysfilters = 329,               /* sysfilters  */
  YYSYMBOL_delete_cluster = 330,           /* delete_cluster  */
  YYSYMBOL_explain_query = 331,            /* explain_query  */
  YYSYMBOL_332_5 = 332                     /* $@5  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  276
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6569

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  160
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  173
/* YYNRULES -- Number of rules.  */
#define YYNRULES  583
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1039

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   511


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   149,   141,     2,
     154,   155,   147,   145,   153,   146,     2,   148,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   152,   151,
     143,   142,   144,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   158,     2,   159,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   156,   140,   157,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     2,     2,
       6,     7,     8,     9,     2,     2,     2,     2,     2,    12,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   118,     2,
       3,     4,     5,    10,    11,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   150
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   188,   188,   189,   190,   191,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   243,   243,   243,   243,   243,   243,   244,   244,
     244,   244,   244,   245,   245,   245,   245,   245,   245,   246,
     246,   246,   246,   246,   247,   247,   247,   248,   248,   248,
     248,   248,   249,   249,   249,   249,   249,   249,   249,   250,
     250,   250,   250,   250,   251,   251,   251,   251,   251,   251,
     252,   252,   252,   253,   253,   253,   253,   253,   254,   254,
     254,   254,   255,   255,   255,   255,   255,   256,   256,   256,
     256,   256,   256,   257,   257,   257,   257,   257,   257,   258,
     258,   258,   258,   259,   259,   259,   259,   259,   263,   263,
     263,   263,   267,   267,   271,   271,   276,   276,   280,   280,
     284,   284,   284,   294,   295,   300,   306,   306,   306,   306,
     310,   311,   319,   326,   331,   339,   340,   344,   351,   352,
     356,   357,   361,   362,   365,   367,   368,   373,   374,   378,
     379,   380,   387,   392,   396,   404,   408,   418,   419,   426,
     427,   428,   432,   436,   443,   444,   451,   452,   453,   460,
     461,   462,   466,   467,   468,   472,   473,   481,   482,   489,
     491,   495,   499,   506,   507,   511,   524,   531,   533,   538,
     544,   554,   553,   566,   567,   571,   572,   575,   577,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   592,   594,
     598,   602,   603,   604,   605,   606,   610,   615,   623,   624,
     625,   626,   631,   639,   647,   655,   664,   669,   674,   679,
     684,   689,   694,   699,   704,   709,   714,   719,   724,   729,
     734,   739,   744,   749,   754,   759,   764,   769,   774,   779,
     784,   789,   794,   799,   806,   816,   822,   833,   840,   849,
     853,   862,   866,   870,   874,   878,   888,   889,   894,   900,
     906,   912,   913,   914,   915,   916,   920,   921,   925,   933,
     944,   945,   952,   953,   957,   963,   970,   976,   982,   984,
     987,   989,   996,  1000,  1006,  1008,  1014,  1016,  1020,  1031,
    1033,  1037,  1041,  1048,  1049,  1053,  1054,  1055,  1058,  1060,
    1064,  1068,  1072,  1078,  1080,  1084,  1088,  1089,  1093,  1098,
    1103,  1109,  1114,  1122,  1127,  1134,  1141,  1143,  1147,  1148,
    1151,  1152,  1156,  1160,  1164,  1174,  1175,  1176,  1177,  1178,
    1179,  1180,  1181,  1183,  1184,  1185,  1186,  1187,  1188,  1189,
    1190,  1191,  1192,  1193,  1194,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,  1203,  1204,  1205,  1206,  1210,  1211,  1212,
    1213,  1214,  1215,  1216,  1217,  1218,  1219,  1220,  1221,  1222,
    1223,  1224,  1225,  1229,  1230,  1234,  1235,  1239,  1240,  1241,
    1244,  1246,  1247,  1251,  1252,  1253,  1257,  1258,  1259,  1265,
    1268,  1270,  1274,  1275,  1276,  1277,  1278,  1279,  1280,  1281,
    1282,  1287,  1292,  1297,  1302,  1307,  1312,  1316,  1320,  1324,
    1328,  1335,  1336,  1342,  1347,  1352,  1357,  1358,  1359,  1362,
    1364,  1368,  1373,  1378,  1383,  1389,  1396,  1406,  1407,  1411,
    1412,  1413,  1417,  1418,  1422,  1423,  1424,  1425,  1426,  1433,
    1434,  1435,  1439,  1440,  1446,  1450,  1451,  1454,  1456,  1460,
    1464,  1465,  1469,  1470,  1474,  1478,  1479,  1483,  1484,  1485,
    1486,  1487,  1493,  1493,  1503,  1511,  1515,  1522,  1523,  1530,
    1540,  1546,  1548,  1552,  1557,  1561,  1568,  1570,  1574,  1575,
    1581,  1587,  1589,  1596,  1597,  1604,  1604,  1612,  1613,  1617,
    1631,  1637,  1641,  1646,  1660,  1666,  1675,  1676,  1680,  1684,
    1685,  1689,  1693,  1699,  1701,  1705,  1712,  1713,  1714,  1715,
    1721,  1730,  1732,  1741,  1750,  1759,  1767,  1775,  1785,  1793,
    1794,  1798,  1802,  1806,  1816,  1824,  1825,  1828,  1830,  1839,
    1839,  1849,  1860,  1861,  1865,  1868,  1869,  1873,  1874,  1875,
    1876,  1877,  1881,  1882,  1886,  1891,  1893,  1894,  1897,  1899,
    1903,  1912,  1916,  1924,  1925,  1929,  1942,  1944,  1951,  1959,
    1967,  1975,  1984,  1984
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "\"identifier\"",
  "\"`identifier`\"", "TOK_ATIDENT", "\"integer\"", "\"float\"",
  "TOK_CONST_MVA", "\"string\"", "\"@uservar\"", "\"@@sysvar\"",
  "TOK_CONST_STRINGS", "TOK_BAD_NUMERIC", "TOK_SUBKEY",
  "TOK_BACKTICKED_SUBKEY", "\".number\"", "TOK_AGENT", "TOK_ALL",
  "TOK_ANY", "TOK_AS", "TOK_ASC", "TOK_ATTACH", "TOK_ATTRIBUTES",
  "TOK_AVG", "TOK_BEGIN", "TOK_BETWEEN", "TOK_BIGINT", "TOK_BY",
  "TOK_CALL", "TOK_CHARACTER", "TOK_CHUNK", "TOK_CLUSTER", "TOK_COLLATE",
  "TOK_COLLATION", "TOK_COLUMN", "TOK_COMMIT", "TOK_COMMITTED",
  "TOK_COUNT", "TOK_CREATE", "TOK_DATABASES", "TOK_DDLCLAUSE",
  "TOK_DEBUGCLAUSE", "TOK_DELETE", "TOK_DESC", "TOK_DESCRIBE",
  "TOK_DISTINCT", "TOK_DIV", "TOK_DOUBLE", "TOK_EXPLAIN", "TOK_FACET",
  "TOK_FALSE", "TOK_FLOAT", "TOK_FLUSH", "TOK_FOR", "TOK_FORCE",
  "TOK_FROM", "TOK_GLOBAL", "TOK_GROUP", "TOK_GROUPBY", "TOK_GROUP_CONCAT",
  "TOK_HAVING", "TOK_HOSTNAMES", "TOK_IGNORE", "TOK_IN", "TOK_INDEX",
  "TOK_INDEXES", "TOK_INDEXOF", "TOK_INSERT", "TOK_INT", "TOK_INTEGER",
  "TOK_INTO", "TOK_IS", "TOK_ISOLATION", "TOK_LEVEL", "TOK_LIKE",
  "TOK_LIMIT", "TOK_LOGS", "TOK_MATCH", "TOK_MAX", "TOK_META", "TOK_MIN",
  "TOK_MOD", "TOK_MULTI", "TOK_MULTI64", "TOK_NAMES", "TOK_NOT",
  "TOK_NULL", "TOK_OFFSET", "TOK_OPTION", "TOK_ORDER", "TOK_OPTIMIZE",
  "TOK_PLAN", "TOK_PLUGINS", "TOK_PROFILE", "TOK_RAND", "TOK_RAMCHUNK",
  "TOK_READ", "TOK_REGEX", "TOK_RECONFIGURE", "TOK_RELOAD",
  "TOK_REPEATABLE", "TOK_REPLACE", "TOK_REMAP", "TOK_ROLLBACK",
  "TOK_RTINDEX", "TOK_SELECT", "TOK_SERIALIZABLE", "TOK_SET",
  "TOK_SETTINGS", "TOK_SESSION", "TOK_SHOW", "TOK_SONAME", "TOK_START",
  "TOK_STATUS", "TOK_STRING", "TOK_SYSFILTERS", "TOK_SUM", "TOK_TABLE",
  "TOK_TABLES", "TOK_THREADS", "TOK_TO", "TOK_TRANSACTION", "TOK_TRUE",
  "TOK_TRUNCATE", "TOK_UNCOMMITTED", "TOK_UPDATE", "TOK_USE", "TOK_VALUES",
  "TOK_VARIABLES", "TOK_WARNINGS", "TOK_WEIGHT", "TOK_WHERE", "TOK_WITH",
  "TOK_WITHIN", "\"<=\"", "\">=\"", "\"!=\"", "TOK_OR", "TOK_AND", "'|'",
  "'&'", "'='", "'<'", "'>'", "'+'", "'-'", "'*'", "'/'", "'%'", "TOK_NEG",
  "';'", "':'", "','", "'('", "')'", "'{'", "'}'", "'['", "']'", "$accept",
  "request", "statement", "reserved_no_option", "reserved_set_tail",
  "reserved_set", "reserved_set_full", "ident_set", "ident",
  "ident_no_option", "identcol", "identidx", "one_index", "only_one_index",
  "chunk_key", "chunk_keys", "string_key", "string_keys",
  "multi_strings_and_maybe_chunk_key", "multi_chunks_and_maybe_string_key",
  "fromkeys", "one_index_opt_subindex", "one_index_opt_chunk",
  "from_target", "list_of_indexes", "string_nokeys",
  "multi_strings_and_maybe_chunk_nokey", "sysvar", "sysvar_ext",
  "multi_stmt_list", "multi_stmt", "select", "select1",
  "opt_tablefunc_args", "tablefunc_args_list", "tablefunc_arg",
  "subselect_start", "opt_outer_order", "opt_outer_limit", "select_from",
  "$@1", "select_items_list", "select_item", "opt_alias", "select_expr",
  "opt_where_clause", "where_clause", "where_expr", "where_item",
  "filter_expr", "filter_item", "expr_ident", "mva_aggr", "const_int",
  "const_float", "const_float_unsigned", "const_list", "string_list",
  "opt_group_clause", "opt_int", "group_items_list", "opt_having_clause",
  "opt_group_order_clause", "group_order_clause", "opt_order_clause",
  "order_clause", "order_items_list", "order_item", "opt_limit_clause",
  "limit_clause", "opt_option_clause", "option_clause", "option_list",
  "option_item", "named_const_list", "named_const", "opt_hint_clause",
  "hint_list", "identidx_list", "hint_item", "expr", "function", "arglist",
  "arg", "json_aggr", "consthash", "hash_key", "hash_val", "show_stmt",
  "like_filter", "show_what", "index_or_table", "set_stmt", "opt_collate",
  "set_global_stmt", "set_string_value", "bool_or_integer_value",
  "set_value", "simple_set_value", "transact_op", "start_transaction",
  "insert_into", "insert_or_replace", "opt_column_list", "column_ident",
  "column_list", "insert_rows_list", "insert_row", "insert_vals_list",
  "insert_val", "delete_from", "$@2", "call_proc", "call_args_list",
  "call_arg", "const_string_list", "opt_call_opts_list", "call_opts_list",
  "call_opt", "opt_as", "call_opt_name", "describe", "describe_opt",
  "describe_tok", "update", "$@3", "update_items_list", "update_item",
  "opt_show_variables_where_or_like", "show_variables_where",
  "show_variables_where_list", "show_variables_where_entry",
  "set_transaction", "opt_scope", "isolation_level", "attach_index",
  "opt_with_truncate", "flush_rtindex", "flush_ramchunk", "flush_index",
  "flush_hostnames", "flush_logs", "select_sysvar", "sysvar_list",
  "sysvar_item", "sysvar_name", "select_dual", "truncate", "rtindex",
  "opt_with_reconfigure", "optimize_index", "$@4", "reload_plugins",
  "json_field", "json_expr", "subscript", "subkey", "streq", "strval",
  "opt_distinct_item", "opt_facet_by_items_list", "facet_by", "facet_item",
  "facet_expr", "facet_items_list", "facet_stmt", "opt_reload_index_from",
  "reload_index", "reload_indexes", "sysfilters", "delete_cluster",
  "explain_query", "$@5", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-880)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-565)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    6428,    23,  -880,  5407,  -880,  -880,  -880,    74,  -880,  -880,
    -880,   400,  -880,  -880,   238,  -880,  -880,  1623,  6059,   491,
     119,  3153,   187,  -880,   114,   105,    20,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,   174,  -880,  -880,
    -880,  5539,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    5671,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,   126,  5407,   245,
    5407,  -880,  -880,  -880,  5671,  5671,   308,  5671,  -880,   254,
     184,  -880,  -880,  -880,  -880,  -880,   320,  -880,   256,   257,
     264,   283,   286,   287,   293,   294,   300,   301,   309,   317,
     321,   324,  2701,   325,   349,   352,   365,   387,  2701,  -880,
    2701,  4483,    65,   371,  -880,     9,  -880,   121,   181,  -880,
     399,     0,  -880,    42,   271,   281,  -880,   332,  -880,   289,
    5407,  6191,  5671,  4351,   432,  -880,   428,   431,   441,  4879,
     471,  -880,   463,   507,  -880,  -880,   507,  -880,  -880,  -880,
    -880,   507,  -880,   507,  -880,  -880,   498,  5803,   462,  -880,
    -880,  -880,   438,   442,   443,   444,   445,   446,   448,   449,
     450,   452,   601,  3153,    30,   371,   -11,  -880,   322,   225,
     212,  -880,  -880,  -880,  5539,  5539,  -880,  -880,  2701,   266,
    -880,  5539,   456,   460,   461,   464,   465,   466,  -880,   467,
    -880,  -880,   169,   497,  -880,  -880,  -880,  -880,   499,    88,
    -880,  5539,  5407,  -880,  -880,  5671,   566,   511,  1777,   610,
     612,  -880,   613,   630,  -880,  2701,  2855,    28,  2855,  2855,
     473,  2701,  2855,  2855,  2701,  2701,   493,   494,   500,  -880,
    1931,  2855,  2701,  2701,   495,  -880,   617,  -880,  -880,  -880,
     371,   218,   510,  -880,  -880,  -880,  3009,    30,  -880,  5407,
    3689,  2085,  -880,  -880,  5407,  2701,  2701,  2701,  2701,  2701,
    2701,  2701,  2701,  2701,  2701,  2701,  2701,  2701,  2701,  2701,
    2701,  2701,  2701,   650,   646,  -880,  -880,  -880,   504,    81,
    2701,  4351,   602,   518,   520,   606,  -880,  -880,  -880,  -880,
    -880,    18,  -880,  3823,  4351,   593,   553,     7,   554,  -880,
    5671,   660,  -880,  -880,  -880,  -880,  5935,  -880,  -880,    55,
     517,   219,   241,   519,    17,  5407,  5407,  5407,   524,  5407,
     522,   538,  5407,  5407,   539,  -880,   152,  3153,  3153,   521,
     546,   154,    54,   208,   250,   154,   154,    51,   136,   154,
     154,    93,   547,    60,    93,    93,    93,    93,    93,    93,
      93,    93,   564,   594,  6420,  -880,    41,    43,  2239,  6315,
    -880,   551,  5671,  -880,  -880,   700,   693,   693,  -880,  -880,
     507,   603,  -880,  -880,  -880,   290,    44,  -880,  -880,  -880,
    -880,   557,  -880,   579,   703,   498,   705,  -880,   706,   574,
    2393,  -880,  6420,   243,  -880,  -880,   610,  -880,   612,  1001,
     252,  5407,   562,   262,   273,  -880,  1026,   276,   277,   496,
     543,  2547,  2701,  2701,  -880,   314,   315,  1201,  1129,  -880,
    -880,  4483,  -880,  4087,   563,   345,  -880,  -880,   169,  -880,
     169,  -880,   519,  -880,  -880,  6420,   371,  -880,  -880,   255,
     255,   688,   657,   810,  1416,   583,   688,  -880,   255,   255,
      31,    31,  -880,  -880,  -880,  1474,   -15,  -880,  2855,   634,
    -880,   688,   587,   725,   582,  4219,   727,  4351,  4351,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,   587,   666,
     507,  -880,   507,  -880,  -880,  -880,  -880,  -880,   599,   589,
    -880,  -880,  5539,  -880,   219,  -880,   507,  5539,  5407,  -880,
    -880,  -880,    34,   211,    30,   588,   590,   591,  -880,  -880,
     592,    30,   595,  -880,  -880,  -880,   605,  -880,   740,   740,
     611,   628,  -880,   106,   681,  -880,   615,   619,    93,    67,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,   635,    93,    93,   621,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,   677,  -880,  5407,  -880,
    -880,  2701,   732,  2701,  5407,   651,  -880,  -880,   693,  -880,
    5671,  -880,  -880,  -880,  -880,   342,   346,    88,   625,  3287,
     498,   498,  -880,  -880,  -880,  2085,   626,  2855,  -880,  -880,
    -880,  -880,   232,  -880,  -880,  -880,  -880,  -880,  -880,  2701,
    -880,  2701,  -880,  1338,  1370,  -880,  -880,  2701,  -880,   640,
    -880,   371,  -880,  -880,  -880,  -880,   693,  -880,   678,   693,
     219,   219,  -880,  -880,  -880,   579,  5407,   777,   779,   347,
    -880,   645,    93,  -880,  -880,   647,   587,  -880,    19,  -880,
    -880,  3555,  5935,  -880,  -880,  -880,  -880,   648,   653,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,   799,  -880,   354,   357,
     154,   154,   358,   361,  -880,   740,   740,   649,  -880,   106,
      93,   362,   670,    93,  -880,     4,   -34,  -880,   668,  -880,
    5407,   721,   659,   371,  -880,   369,   661,   680,    93,  -880,
     807,  -880,   120,  -880,   665,  -880,  -880,   667,  3421,  -880,
     683,   226,  -880,  -880,   674,  -880,  -880,  1150,  1178,  1442,
    4087,  2085,   664,   219,   762,  -880,    -1,  -880,  -880,  -880,
    4219,   373,   675,    38,   731,  -880,  -880,  -880,  -880,  5407,
     282,  -880,   829,  5407,   685,   830,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,   374,   379,    93,   380,   383,  -880,
    -880,    93,   384,    94,  5407,   498,   154,   371,   813,   766,
    -880,  5407,  -880,   116,     1,  -880,   720,  -880,  -880,  -880,
    5011,   116,   836,   692,  3153,  3287,  5143,   694,  -880,  -880,
     696,  -880,    29,   757,   842,   718,  5407,  -880,  -880,  -880,
      93,  -880,  -880,  -880,   135,   389,  -880,   844,  -880,  -880,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,  -880,
      78,  -880,  -880,  -880,   110,  -880,  -880,  4615,  -880,  -880,
      83,   392,  -880,   661,  -880,  -880,  -880,  -880,  -880,   834,
    -880,   701,   850,   -11,   722,  -880,   371,   707,  -880,  -880,
    2855,  5275,   835,   786,  -880,   837,   806,   805,  -880,   723,
     396,    93,  5407,  -880,   724,  -880,   397,   811,   812,   815,
    -880,   110,  -880,   728,   265,   733,  -880,   116,  -880,  -880,
    -880,   726,  3153,  5143,   402,  4747,   869,  -880,  4747,   794,
    3955,   721,  -880,  -880,  -880,  -880,  -880,  -880,   735,   739,
     741,  -880,   730,  -880,  -880,  4747,  -880,   742,   -11,  -880,
     743,   733,     5,  -880,   745,   859,  -880,   766,  5407,  5407,
    5407,  -880,  -880,  -880,   746,   882,   888,  4747,  4747,   498,
    -880,   405,   406,   414,  2855,  -880,  -880,  -880,   733,   110,
    5407,  -880,  -880,  -880,   421,  -880,  -880,   749,  -880
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       0,     0,   462,     0,   459,    31,    28,   482,   504,   503,
     582,     0,   465,   549,     0,   466,   460,     0,   523,   523,
       0,     0,     0,   505,     0,     2,     4,   179,   182,   185,
     187,   183,   184,     8,     9,   461,     6,     0,     7,    10,
      11,     0,    12,    17,    13,    14,    15,    16,    25,    26,
      18,    19,    20,    21,    22,    23,    24,    27,    29,    30,
       0,   128,   121,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,   120,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    63,    62,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,   118,   123,    81,    82,    83,    84,    86,
      85,    87,    88,    90,    91,    89,    92,    93,    94,    96,
      97,    95,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   119,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   122,   125,   124,   129,     0,     0,     0,
       0,   535,   536,   537,     0,     0,     0,     0,   579,     0,
     128,   346,   347,   348,   564,   350,   174,   349,    33,    34,
      38,    41,    50,    56,    57,    63,    62,     0,    67,    70,
      76,    78,     0,    86,     0,    89,   103,   114,     0,   205,
       0,   400,   133,   345,   542,     0,   203,   496,   209,   372,
       0,   318,   539,   496,     0,   373,   374,     0,   126,    43,
      45,    60,    66,     0,    95,   127,     0,     0,     0,     0,
       0,   426,     0,   410,   524,   431,   410,   417,   418,   416,
     525,   410,   432,   410,   419,   412,   323,     0,     0,   463,
     277,   288,    33,    34,    41,    50,    56,     0,    63,    70,
       0,   114,     0,     0,   133,   276,   580,   228,     0,     0,
       0,   281,   545,   546,     0,     0,     1,     3,     0,     5,
     181,     0,   126,   135,   139,   137,   138,   127,   136,     0,
     140,   142,   157,   501,   135,   139,   137,   138,     0,     0,
     581,     0,     0,   534,   533,     0,   576,     0,     0,   167,
     170,   148,     0,   169,   175,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,    76,    78,   352,
       0,     0,     0,     0,     0,   351,     0,   404,   405,   133,
     403,     0,     0,   557,   558,   559,     0,   554,   555,     0,
       0,     0,   497,   206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   538,   319,   541,     0,     0,
       0,     0,     0,     0,     0,     0,   457,   458,   456,   455,
     454,   439,   452,     0,     0,     0,     0,   410,     0,   427,
       0,     0,   429,   414,   413,   428,     0,   409,   324,   101,
     142,   159,     0,   161,   410,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   289,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   547,     0,   572,   573,   496,   568,     0,     0,
     180,   467,     0,   147,   143,     0,     0,   150,   158,   502,
     410,     0,   292,   479,   293,     0,     0,   477,   478,   290,
     487,   491,   485,     0,     0,   323,     0,   578,     0,   396,
       0,   384,   395,     0,   393,   171,   168,   149,   172,     0,
       0,     0,     0,     0,     0,   216,     0,     0,     0,     0,
       0,     0,     0,     0,   390,     0,     0,     0,     0,   387,
     370,     0,   371,     0,   564,     0,   556,   134,   176,   195,
     154,   201,   163,   164,   204,   209,   208,   362,   363,   364,
     365,   367,   369,   368,   360,   359,   366,   562,   357,   358,
     353,   354,   355,   356,   361,     0,   320,   540,     0,     0,
     375,   563,   438,     0,     0,     0,     0,     0,     0,   436,
     448,   450,   435,   449,   447,   451,   434,   433,   437,     0,
     410,   415,   410,   420,   411,   130,   131,   132,     0,   325,
     326,   425,     0,   145,   160,   424,   410,     0,     0,   516,
     430,   517,     0,     0,     0,     0,     0,     0,   285,   279,
       0,   553,     0,   552,   280,   231,   230,   229,     0,     0,
       0,     0,   242,     0,     0,   261,     0,     0,     0,     0,
     249,   258,   248,   257,   260,   251,   233,   259,   250,   232,
     247,   256,   246,   255,     0,     0,     0,     0,   273,   274,
     266,   265,   271,   272,   264,   263,     0,   544,     0,   571,
     570,     0,   565,     0,     0,     0,   141,   144,   151,   500,
       0,   291,   489,   481,   294,     0,     0,     0,     0,     0,
     323,   323,   550,   577,   551,     0,     0,     0,   377,   173,
     210,   381,     0,   215,   383,   382,   214,   378,   380,     0,
     211,     0,   212,     0,     0,   391,   392,     0,   213,     0,
     408,   407,   406,   401,   561,   560,   178,   177,     0,   145,
     152,   148,   155,   156,   162,   218,     0,     0,     0,     0,
     376,     0,     0,   443,   442,     0,   440,   453,     0,   421,
     422,     0,     0,   165,   146,   423,   166,     0,   518,   519,
     287,   286,   284,   278,   283,   282,     0,   296,     0,     0,
       0,     0,     0,     0,   262,     0,     0,     0,   243,     0,
       0,     0,     0,     0,   548,     0,     0,   507,     0,   574,
     566,   309,   569,   469,   470,     0,     0,   531,     0,   480,
       0,   488,   496,   486,   492,   493,   484,    75,     0,   220,
     221,   222,   483,   583,   189,   394,   217,     0,     0,     0,
       0,     0,     0,   153,   298,   219,     0,   322,   321,   379,
       0,     0,     0,     0,     0,   529,   522,   329,   332,     0,
     328,   327,     0,     0,     0,     0,   240,   238,   244,   253,
     254,   252,   234,   236,     0,     0,     0,     0,     0,   269,
     267,     0,     0,     0,     0,   323,     0,   567,     0,   318,
     310,     0,   468,     0,   323,   472,     0,   530,   295,   490,
       0,     0,     0,    75,     0,     0,     0,     0,   386,   385,
       0,   402,     0,     0,   300,   306,     0,   446,   445,   441,
       0,   527,   526,   528,     0,     0,   333,     0,   521,   520,
     275,   297,   241,   239,   245,   235,   237,   270,   268,   515,
       0,   509,   510,   508,   336,   513,   514,     0,   575,   471,
       0,     0,   475,     0,   464,   532,   499,   498,   495,   496,
     494,     0,     0,   223,   224,   194,   193,   190,   191,   186,
       0,     0,     0,   197,   301,     0,     0,   304,   307,     0,
       0,     0,     0,   330,     0,   512,     0,     0,     0,     0,
     506,   337,   338,    86,   315,   311,   313,     0,   474,   473,
     226,     0,     0,     0,     0,     0,     0,   188,     0,     0,
       0,   309,   388,   444,   335,   334,   331,   511,     0,     0,
       0,   339,     0,   316,   317,     0,   476,     0,   225,   192,
       0,   196,   198,   302,   299,     0,   305,   318,     0,     0,
       0,   312,   314,   227,     0,     0,     0,     0,     0,   323,
     340,     0,     0,     0,     0,   200,   199,   303,   308,   336,
       0,   342,   344,   343,     0,   202,   341,     0,   389
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -880,  -880,  -880,  -390,  -384,   -17,  -880,    -8,    -3,  -880,
      45,   -56,   -20,   -38,  -275,  -490,  -298,  -263,    58,  -880,
    -880,  -880,  -168,  -880,  -348,  -282,  -880,    -9,  -880,  -880,
     622,  -880,   415,  -880,  -880,   -66,  -880,  -880,  -880,   190,
    -880,    98,   559,  -190,  -880,  -880,  -642,  -880,    36,    -6,
     -68,  -636,  -880,   684,  -404,   440,  -597,  -551,  -880,  -880,
    -880,  -880,  -880,  -880,   -65,  -880,  -879,   -82,  -800,  -880,
    -479,  -880,  -880,   175,  -880,   -30,  -111,  -880,  -630,   -36,
     734,  -880,  -311,   236,  -880,  -880,   407,   117,  -880,  -187,
    -880,  -880,  -880,  -880,  -880,  -535,   -49,  -342,   363,  -880,
    -880,  -880,  -880,  -880,    68,  -880,  -880,    12,  -880,  -652,
    -880,  -880,  -880,  -880,   253,  -880,  -880,  -880,    66,  -745,
    -880,  -880,  -880,  -880,  -880,  -880,  -880,    82,  -880,  -880,
    -880,   107,  -880,   920,  -880,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -880,   567,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880,  -410,    16,  -880,   596,  -880,   578,  -880,
    -880,  -880,   299,  -880,   285,  -880,  -880,  -880,  -880,  -880,
    -880,  -880,  -880
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    24,    25,   153,   154,   155,   156,   288,   202,   588,
     203,   290,   410,   411,   744,   594,   311,   312,   468,   723,
     724,   293,   412,   531,   413,   313,   314,   204,   533,    26,
      27,    28,    29,   877,   937,   938,   718,   943,   977,    30,
     725,   205,   206,   353,   207,   814,   680,   799,   800,   426,
     267,   268,   269,   270,   478,   479,   675,   758,   885,   945,
    1004,   981,   947,   948,   859,   860,   965,   966,   375,   376,
     407,   408,   589,   590,   895,   896,   960,   961,  1021,   962,
     492,   209,   493,   494,   210,   341,   342,   713,    31,   402,
     246,   247,    32,   569,    33,   576,   577,   391,   392,    34,
      35,    36,    37,   665,   784,   785,   864,   865,   921,   480,
      38,   159,    39,   481,   482,   676,   678,   794,   795,   354,
     928,    40,   470,    41,    42,   275,   776,   777,   600,   601,
     748,   749,    43,   228,   826,    44,   867,    45,    46,    47,
      48,    49,    50,   211,   212,   213,    51,    52,   274,   657,
      53,   166,    54,   214,   215,   347,   348,   216,   217,   781,
     662,   663,   455,   456,   457,   280,   487,    55,    56,    57,
      58,    59,   160
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     157,   225,   532,   292,   298,   500,   682,   503,   504,   227,
     226,   507,   508,   612,   497,   266,   586,   466,   264,   515,
     516,   291,   587,   377,   287,   792,   762,   621,   495,   467,
     734,   631,   633,   635,   638,   641,   643,   271,   289,   562,
     720,  -207,  -207,   225,   343,   344,   345,   870,   771,   403,
     251,   567,   578,   672,   404,  -410,   405,   251,   472,   918,
     634,   352,   352,   886,   622,   350,   265,   474,   759,  -207,
     278,   660,   763,   727,   501,   891,   373,   768,   355,   343,
     344,   345,   401,   815,   251,   941,   646,  -207,    60,   251,
     406,  -207,   401,  1015,   251,   472,  1001,   473,   679,   251,
     251,   472,   571,   909,   474,  -410,   158,   453,   303,   304,
     474,   306,   251,   356,   276,   757,   823,  -207,  -207,   854,
     824,  -101,   251,   472,   647,   473,   825,   427,   428,  -553,
     401,  -207,   474,   483,   855,   821,   593,  -553,   728,  1028,
     352,   352,   251,   472,  -410,   637,   853,   225,   225,   598,
     225,   349,   474,   374,   923,   300,   349,   302,  1016,  -101,
     251,   472,   351,   892,   568,   957,   385,   559,   560,   497,
     474,   279,   847,   958,   573,   502,   852,  -207,   369,   370,
     371,  -543,   351,   463,   870,   464,   349,   571,   346,   750,
     262,   398,  -207,  -207,  -207,  -207,   661,   475,   339,   673,
     465,   802,   803,   668,   225,   225,  -410,  1019,   623,   291,
     581,   922,   287,   384,   844,   845,   689,   382,   848,   929,
     390,   769,   591,   346,   262,   736,   289,   599,   355,   262,
     287,   813,   721,   955,   475,   464,   452,   959,   673,   262,
     475,   249,   476,   461,   289,   281,   340,   729,   910,   485,
     465,   441,   262,   716,   291,   719,   277,   287,   287,   573,
     264,   291,   475,   356,   287,   467,   659,   467,   626,   627,
     920,   289,   289,  -487,  -207,  -487,   628,   951,   289,   271,
     299,   964,   475,   669,   287,   888,   993,   349,   225,   442,
     427,   428,   272,   950,   624,   625,   425,   472,   289,   484,
     475,   301,   355,   167,   168,   273,   474,   615,   265,   994,
     307,   443,   530,   956,   629,   996,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   169,  -543,   287,   309,   378,   310,   356,   308,   964,
     429,   430,  1003,   379,   583,  -552,   527,   289,   431,   450,
     595,   339,   586,  -552,   451,   596,   839,   841,   587,   964,
     444,   445,   446,   349,   427,   875,   751,   447,   448,   449,
     497,   521,   458,   305,   459,   522,   914,    19,   390,  1022,
    1023,  1027,   964,   225,   349,   924,   432,   806,   636,   639,
     574,   390,   355,   739,   433,   740,   687,   381,   688,   536,
     367,   368,   369,   370,   371,   687,   666,   691,   434,   745,
    -398,  -397,   339,   339,   604,   687,   604,   694,   315,   604,
     611,   616,   617,   161,   264,   264,   687,   356,   695,   687,
     687,   697,   698,   605,   349,   607,   897,   316,   610,   613,
     317,   318,   225,   271,   271,   225,   593,   319,   320,   912,
     227,   226,   916,   668,   321,   322,   668,   435,   436,   437,
     602,   603,   162,  -399,   438,   439,   440,   687,   687,   705,
     706,   323,   265,   265,   380,   324,   949,   163,   325,   330,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   788,   164,   789,   339,   790,
     687,   791,   819,   331,   715,   165,   332,   835,   229,   836,
     835,   788,   837,   842,   835,   788,   843,   850,   339,   333,
     339,   230,   861,   349,   862,   231,   788,   835,   889,   902,
     232,   233,   835,   788,   903,   905,   835,   788,   906,   908,
    1029,   334,   952,   355,   953,   967,   692,   968,   234,   788,
     788,   983,   987,   372,  -525,   687,   235,  1000,  1030,  1030,
    1031,  1032,   574,   395,   390,   390,   340,  1030,   711,  1033,
     393,   236,   743,   394,   687,   287,  1037,   746,   356,   399,
     287,   400,   401,   237,   238,   239,   717,   406,   722,   289,
     355,   414,   415,   532,   289,   747,   416,   417,   418,   419,
     420,   240,   421,   422,   423,   241,   424,   425,  -128,   242,
     243,   244,  -121,  -120,   787,   469,  -118,  -119,  -124,   462,
     471,   245,   486,   488,  -147,   356,   309,   496,   505,   974,
     355,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   498,   511,   512,   699,
     519,   700,   523,   225,   513,   264,   556,   176,   558,   563,
     564,   339,   565,   566,   355,   356,   579,   580,   582,   584,
     592,   606,   597,   801,   778,   618,   264,   608,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   609,   614,   271,   701,   656,   702,   356,
     619,   645,   658,   775,   355,   664,   667,   463,   670,   783,
     677,   679,   681,  1034,   683,   684,  -564,   693,   357,   358,
     359,   730,   714,   339,   265,   364,   365,   366,   367,   368,
     369,   370,   371,   568,   731,   355,   732,   735,   339,   356,
     738,   741,   742,   752,   428,   753,   754,   755,   756,   757,
     760,   208,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   761,   764,   765,
     356,   816,   520,   766,   770,   773,   774,   339,   780,   786,
     796,   804,   810,   817,   811,   818,   830,   820,   846,   822,
     832,   833,   357,   358,   359,   264,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   339,   834,   851,
     856,   858,   661,   866,   271,   863,   869,   574,   871,   883,
     884,   872,   874,   357,   358,   857,   339,   876,   893,   890,
     747,   365,   366,   367,   368,   369,   370,   371,   898,   901,
     900,   917,   373,   265,   925,   931,   932,   942,   944,   939,
     940,   264,   946,   954,   352,   711,   970,   355,   339,   971,
     973,   972,   976,   975,   979,   978,   980,   927,   933,   617,
     778,   264,   264,   339,   894,  1002,   988,   989,   982,   986,
     990,   997,   992,   611,  1005,  1011,   995,  1018,  1025,  1008,
     271,   271,   356,  1009,  1026,  1010,  1014,  1013,  1017,   775,
    1024,   460,   613,   530,  1038,   686,   783,   999,   812,   882,
     534,   934,  1006,  1012,   264,   671,  1007,   831,  1035,   265,
     265,   936,   985,   805,   287,   991,   329,   881,   709,   919,
     793,   737,   335,   271,   336,   969,   913,   930,   289,   248,
     899,   557,   547,   526,     0,   357,   358,   359,   782,   339,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     779,     0,   265,     0,     0,     0,   998,     0,     0,   264,
     339,     0,   264,     0,     0,   264,     0,   264,     0,     0,
       0,     0,     0,   477,     0,     0,     0,     0,   271,     0,
       0,   271,   264,     0,   271,     0,   271,   894,     0,     0,
       0,     0,     0,     0,     0,  1020,  1020,  1020,     0,     0,
       0,   271,   454,     0,   264,   264,     0,   265,   936,     0,
     265,     0,     0,   265,     0,   265,     0,  1036,     0,     0,
       0,     0,     0,   271,   271,     0,     0,     0,     0,     0,
     265,     0,     0,     0,     0,     0,     0,     0,   355,   499,
       0,     0,     0,     0,     0,   506,     0,     0,   509,   510,
       0,     0,   265,   265,     0,     0,   517,   518,     0,     0,
       0,     0,     0,   355,     0,     0,     0,   575,     0,     0,
     525,     0,     0,   356,     0,   535,     0,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   548,
     549,   550,   551,   552,   553,   554,   555,     0,   356,     0,
       0,     0,     0,     0,   561,   620,     0,     0,     0,   630,
     632,   575,   575,   640,   642,   644,     0,     0,   648,   649,
     650,   651,   652,   653,   654,   655,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,     0,     0,     0,     0,   690,     0,     0,     0,
     674,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   355,     0,     0,     0,
       0,   696,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   535,     0,     0,     0,     0,   355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   712,     0,     0,
       0,   356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   336,   355,     0,     0,     0,     0,
       0,     0,   356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   703,   704,   355,   733,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     356,     0,     0,     0,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,     0,
       0,     0,     0,   356,   708,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
       0,     0,     0,     0,     0,   878,     0,   674,     0,     0,
       0,     0,   767,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   674,
     772,     0,     0,   879,     0,     0,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,     0,     0,     0,   707,     0,     0,     0,     0,     0,
       0,   477,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   355,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   454,     0,   454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   674,   355,     0,   535,
     356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,     0,   808,     0,     0,     0,     0,
       0,   809,     0,     0,   838,   840,     0,     0,     0,     0,
       0,     0,   356,   674,   849,     0,     0,   674,     0,     0,
       0,     0,     0,   355,     0,     0,     0,     0,     0,     0,
       0,     0,   868,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,     0,   355,
       0,   699,     0,     0,   712,     0,     0,     0,   356,     0,
       0,     0,     0,     0,   887,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
       0,   355,     0,   701,   356,     0,     0,     0,   726,     0,
     904,     0,     0,     0,     0,   907,     0,   911,     0,     0,
     915,     0,     0,     0,     0,   535,     0,   477,     0,     0,
       0,   357,   358,   359,     0,   477,   356,   363,   364,   365,
     366,   367,   368,   369,   370,   371,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,     0,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,     0,     0,   674,   880,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,     0,     0,     0,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,     0,     0,   170,    62,   171,   172,
     173,     0,   174,   175,   176,   984,     0,     0,     0,   177,
      63,   178,   179,     0,    66,    67,    68,   180,    70,    71,
     181,   477,    73,    74,    75,    76,    77,    78,    79,    80,
      81,   182,    83,    84,     0,     0,    85,    86,    87,     0,
       0,   183,     0,     0,     0,   184,    90,    91,     0,     0,
      92,    93,   185,   186,    96,    97,     0,   187,    98,     0,
     188,   100,   101,   189,   103,     0,   104,   105,   106,     0,
       0,   107,   190,   109,   191,     0,   111,   112,   113,   192,
       0,     0,   114,     0,   115,   116,   117,   118,   193,   120,
     121,   194,   122,     0,   123,   124,   195,   126,   127,     0,
     128,   129,   130,   131,   132,   133,   134,   135,   136,     0,
     196,   138,   139,   140,   141,   142,     0,   143,   144,   145,
       0,   146,   147,   148,   197,   150,   151,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   198,
     199,     0,     0,     0,     0,     0,     0,   200,     0,   201,
     326,    62,   171,   172,   173,     0,   489,   175,     0,     0,
       0,     0,     0,   177,    63,   178,   179,     0,    66,    67,
      68,    69,    70,    71,   181,     0,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,     0,     0,
      85,    86,    87,     0,     0,   183,     0,     0,     0,   184,
      90,    91,     0,     0,    92,    93,    94,    95,    96,    97,
       0,   187,    98,     0,   188,   100,   101,   189,   103,     0,
     104,   105,   106,     0,     0,   107,   327,   109,   328,     0,
     111,   112,   113,   192,     0,     0,   114,     0,   115,   116,
     117,   118,   193,   120,   121,   194,   122,     0,   123,   124,
     195,   126,   127,     0,   128,   129,   130,   131,   132,   133,
     134,   135,   136,     0,   137,   138,   139,   140,   141,   142,
       0,   143,   144,   145,     0,   146,   147,   148,   197,   150,
     151,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   198,     0,     0,     0,     0,     0,     0,
       0,   490,   491,   201,   326,    62,   171,   172,   173,     0,
     489,   175,     0,     0,     0,     0,     0,   177,    63,   178,
     179,     0,    66,    67,    68,    69,    70,    71,   181,     0,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,     0,     0,    85,    86,    87,     0,     0,   183,
       0,     0,     0,   184,    90,    91,     0,     0,    92,    93,
      94,    95,    96,    97,     0,   187,    98,     0,   188,   100,
     101,   189,   103,     0,   104,   105,   106,     0,     0,   107,
     327,   109,   328,     0,   111,   112,   113,   192,     0,     0,
     114,     0,   115,   116,   117,   118,   193,   120,   121,   194,
     122,     0,   123,   124,   195,   126,   127,     0,   128,   129,
     130,   131,   132,   133,   134,   135,   136,     0,   137,   138,
     139,   140,   141,   142,     0,   143,   144,   145,     0,   146,
     147,   148,   197,   150,   151,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   198,     0,     0,
       0,     0,     0,     0,     0,   200,   514,   201,   326,    62,
     171,   172,   173,     0,   174,   175,     0,     0,     0,     0,
       0,   177,    63,   178,   179,     0,    66,    67,    68,   180,
      70,    71,   181,     0,    73,    74,    75,    76,    77,    78,
      79,    80,    81,   182,    83,    84,     0,     0,    85,    86,
      87,     0,     0,   183,     0,     0,     0,   184,    90,    91,
       0,     0,    92,    93,   185,   186,    96,    97,     0,   187,
      98,     0,   188,   100,   101,   189,   103,     0,   104,   105,
     106,     0,     0,   107,   190,   109,   191,     0,   111,   112,
     113,   192,     0,     0,   114,     0,   115,   116,   117,   118,
     193,   120,   121,   194,   122,     0,   123,   124,   195,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   196,   138,   139,   140,   141,   142,     0,   143,
     144,   145,     0,   146,   147,   148,   197,   150,   151,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   198,   199,     0,     0,     0,     0,     0,     0,   200,
       0,   201,   170,    62,   171,   172,   173,     0,   174,   175,
       0,     0,     0,     0,     0,   177,    63,   178,   179,     0,
      66,    67,    68,   180,    70,    71,   181,     0,    73,    74,
      75,    76,    77,    78,    79,    80,    81,   182,    83,    84,
       0,     0,    85,    86,    87,     0,     0,   183,     0,     0,
       0,   184,    90,    91,     0,     0,    92,    93,   185,   186,
      96,    97,     0,   187,    98,     0,   188,   100,   101,   189,
     103,     0,   104,   105,   106,     0,     0,   107,   190,   109,
     191,     0,   111,   112,   113,   192,     0,     0,   114,     0,
     115,   116,   117,   118,   193,   120,   121,   194,   122,     0,
     123,   124,   195,   126,   127,     0,   128,   129,   130,   131,
     132,   133,   134,   135,   136,     0,   196,   138,   139,   140,
     141,   142,     0,   143,   144,   145,     0,   146,   147,   148,
     197,   150,   151,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   198,   199,     0,     0,     0,
       0,     0,     0,   200,     0,   201,   326,    62,   171,   172,
     173,     0,   174,   175,     0,     0,     0,     0,     0,   177,
      63,   178,   179,     0,    66,    67,    68,    69,    70,    71,
     181,     0,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,     0,     0,    85,    86,    87,     0,
       0,   183,     0,     0,     0,   184,    90,    91,     0,     0,
      92,    93,    94,    95,    96,    97,     0,   187,    98,     0,
     188,   100,   101,   189,   103,     0,   104,   105,   106,     0,
       0,   107,   327,   109,   328,     0,   111,   112,   113,   192,
       0,     0,   114,     0,   115,   116,   117,   118,   193,   120,
     121,   194,   122,     0,   123,   124,   195,   126,   127,   685,
     128,   129,   130,   131,   132,   133,   134,   135,   136,     0,
     137,   138,   139,   140,   141,   142,     0,   143,   144,   145,
       0,   146,   147,   148,   197,   150,   151,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   198,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
     326,    62,   171,   172,   173,     0,   489,   175,     0,     0,
       0,     0,     0,   177,    63,   178,   179,     0,    66,    67,
      68,    69,    70,    71,   181,     0,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,     0,     0,
      85,    86,    87,     0,     0,   183,     0,     0,     0,   184,
      90,    91,     0,     0,    92,    93,    94,    95,    96,    97,
       0,   187,    98,     0,   188,   100,   101,   189,   103,     0,
     104,   105,   106,     0,     0,   107,   327,   109,   328,     0,
     111,   112,   113,   192,     0,     0,   114,     0,   115,   116,
     117,   118,   193,   120,   121,   194,   122,     0,   123,   124,
     195,   126,   127,     0,   128,   129,   130,   131,   132,   133,
     134,   135,   136,     0,   137,   138,   139,   140,   141,   142,
       0,   143,   144,   145,     0,   146,   147,   148,   197,   150,
     151,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   198,     0,     0,     0,     0,     0,     0,
       0,   200,   491,   201,   326,    62,   171,   172,   173,     0,
     174,   175,     0,     0,     0,     0,     0,   177,    63,   178,
     179,     0,    66,    67,    68,    69,    70,    71,   181,     0,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,     0,     0,    85,    86,    87,     0,     0,   183,
       0,     0,     0,   184,    90,    91,     0,     0,    92,    93,
      94,    95,    96,    97,     0,   187,    98,     0,   188,   100,
     101,   189,   103,     0,   104,   105,   106,     0,     0,   107,
     327,   109,   328,     0,   111,   112,   113,   192,     0,     0,
     114,     0,   115,   116,   117,   118,   193,   120,   121,   194,
     122,     0,   123,   124,   195,   126,   127,     0,   128,   129,
     130,   131,   132,   133,   134,   135,   136,     0,   137,   138,
     139,   140,   141,   142,     0,   143,   144,   145,     0,   146,
     147,   148,   197,   150,   151,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   198,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,   326,    62,
     171,   172,   173,     0,   489,   175,     0,     0,     0,     0,
       0,   177,    63,   178,   179,     0,    66,    67,    68,    69,
      70,    71,   181,     0,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,     0,     0,    85,    86,
      87,     0,     0,   183,     0,     0,     0,   184,    90,    91,
       0,     0,    92,    93,    94,    95,    96,    97,     0,   187,
      98,     0,   188,   100,   101,   189,   103,     0,   104,   105,
     106,     0,     0,   107,   327,   109,   328,     0,   111,   112,
     113,   192,     0,     0,   114,     0,   115,   116,   117,   118,
     193,   120,   121,   194,   122,     0,   123,   124,   195,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   137,   138,   139,   140,   141,   142,     0,   143,
     144,   145,     0,   146,   147,   148,   197,   150,   151,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   198,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,   326,    62,   171,   172,   173,     0,   524,   175,
       0,     0,     0,     0,     0,   177,    63,   178,   179,     0,
      66,    67,    68,    69,    70,    71,   181,     0,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
       0,     0,    85,    86,    87,     0,     0,   183,     0,     0,
       0,   184,    90,    91,     0,     0,    92,    93,    94,    95,
      96,    97,     0,   187,    98,     0,   188,   100,   101,   189,
     103,     0,   104,   105,   106,     0,     0,   107,   327,   109,
     328,     0,   111,   112,   113,   192,     0,     0,   114,     0,
     115,   116,   117,   118,   193,   120,   121,   194,   122,     0,
     123,   124,   195,   126,   127,     0,   128,   129,   130,   131,
     132,   133,   134,   135,   136,     0,   137,   138,   139,   140,
     141,   142,     0,   143,   144,   145,     0,   146,   147,   148,
     197,   150,   151,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   198,    61,    62,   250,   251,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
      63,   252,   253,     0,    66,    67,    68,    69,    70,    71,
     254,     0,    73,    74,    75,    76,    77,    78,    79,    80,
      81,   255,    83,    84,     0,     0,    85,    86,    87,     0,
       0,   256,     0,   257,     0,    89,    90,    91,     0,     0,
      92,    93,   258,    95,    96,    97,     0,     0,    98,     0,
      99,   100,   101,   259,   103,     0,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,     0,
       0,     0,   114,     0,   115,   116,   117,   118,   119,   120,
     121,   260,   122,     0,   123,   124,   125,   126,   127,     0,
     128,   129,   130,   131,   132,   133,   134,   135,   136,     0,
     137,   138,   139,   140,   141,   142,     0,   143,   144,   145,
       0,   146,   147,   148,   261,   150,   151,   152,     0,     0,
      61,    62,   250,   251,     0,     0,     0,     0,     0,   262,
       0,     0,     0,     0,    63,   252,   253,   263,    66,    67,
      68,    69,    70,    71,   254,     0,    73,    74,    75,    76,
      77,    78,    79,    80,    81,   255,    83,    84,     0,     0,
      85,    86,    87,     0,     0,   256,     0,   257,     0,    89,
      90,    91,     0,     0,    92,    93,   258,    95,    96,    97,
       0,     0,    98,     0,    99,   100,   101,   259,   103,     0,
     104,   105,   106,     0,     0,   797,   108,   109,   110,     0,
     111,   112,   113,     0,     0,     0,   114,     0,   115,   116,
     117,   118,   119,   120,   121,   260,   122,     0,   123,   124,
     125,   126,   127,     0,   128,   129,   130,   131,   132,   133,
     134,   135,   136,     0,   137,   138,   139,   140,   141,   142,
       0,   143,   144,   145,     0,   146,   147,   148,   261,   150,
     151,   152,     0,     0,    61,    62,   250,   251,     0,     0,
       0,     0,     0,   262,     0,     0,     0,     0,    63,   252,
     253,   798,    66,    67,    68,    69,    70,    71,   254,     0,
      73,    74,    75,    76,    77,    78,    79,    80,    81,   255,
      83,    84,     0,     0,    85,    86,    87,     0,     0,   256,
       0,   257,     0,    89,    90,    91,     0,     0,    92,    93,
     258,    95,    96,    97,     0,     0,    98,     0,    99,   100,
     101,   259,   103,     0,   104,   105,   106,     0,     0,   873,
     108,   109,   110,     0,   111,   112,   113,     0,     0,     0,
     114,     0,   115,   116,   117,   118,   119,   120,   121,   260,
     122,     0,   123,   124,   125,   126,   127,     0,   128,   129,
     130,   131,   132,   133,   134,   135,   136,     0,   137,   138,
     139,   140,   141,   142,     0,   143,   144,   145,     0,   146,
     147,   148,   261,   150,   151,   152,     0,     0,    61,    62,
       0,   827,     0,     0,   828,     0,     0,   262,     0,     0,
       0,     0,    63,    64,    65,   263,    66,    67,    68,    69,
      70,    71,    72,     0,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,     0,     0,    85,    86,
      87,     0,     0,    88,     0,     0,     0,    89,    90,    91,
       0,     0,    92,    93,    94,    95,    96,    97,     0,     0,
      98,     0,    99,   100,   101,   102,   103,     0,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,     0,     0,     0,   114,     0,   115,   116,   117,   118,
     119,   120,   121,     0,   122,     0,   123,   124,   125,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   137,   138,   139,   140,   141,   142,     0,   143,
     144,   145,     0,   146,   147,   148,   149,   150,   151,   152,
       0,     0,   282,   283,     0,     0,     0,     0,     0,     0,
     528,     0,     0,     0,     0,     0,    63,    64,    65,   829,
      66,    67,    68,    69,    70,    71,    72,     0,    73,    74,
      75,    76,   284,    78,    79,    80,    81,    82,    83,    84,
       0,     0,    85,    86,    87,     0,     0,    88,     0,     0,
       0,    89,    90,    91,     0,     0,    92,    93,    94,    95,
      96,    97,     0,     0,    98,     0,    99,   100,   101,   102,
     103,     0,   104,   105,   106,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   285,     0,     0,     0,   114,     0,
     115,   116,   117,   118,   119,   120,   121,     0,   122,     0,
     123,   124,   125,   126,   127,     0,   128,   129,   130,   131,
     132,   133,   134,   135,   136,     0,   137,   138,   139,   140,
     141,   286,     0,   143,   144,   145,     0,   146,   147,   148,
     149,   150,   151,   152,     0,     0,    61,    62,     0,   251,
       0,     0,   570,     0,     0,     0,     0,     0,     0,     0,
      63,    64,    65,   529,    66,    67,    68,    69,    70,    71,
      72,     0,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,     0,     0,    85,    86,    87,     0,
       0,    88,     0,     0,   571,    89,    90,    91,     0,     0,
      92,    93,    94,    95,    96,    97,     0,     0,    98,     0,
      99,   100,   101,   102,   103,     0,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,     0,
     572,     0,   114,     0,   115,   116,   117,   118,   119,   120,
     121,     0,   122,     0,   123,   124,   125,   126,   127,     0,
     128,   129,   130,   131,   132,   133,   134,   135,   136,     0,
     137,   138,   139,   140,   141,   142,   573,   143,   144,   145,
       0,   146,   147,   148,   149,   150,   151,   152,    61,    62,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   262,
       0,     0,    63,   252,   253,     0,    66,    67,    68,    69,
      70,    71,   254,     0,    73,    74,    75,    76,    77,    78,
      79,    80,    81,   255,    83,    84,     0,     0,    85,    86,
      87,     0,     0,   256,     0,   257,     0,    89,    90,    91,
       0,     0,    92,    93,   258,    95,    96,    97,     0,     0,
      98,     0,    99,   100,   101,   259,   103,     0,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,     0,     0,     0,   114,     0,   115,   116,   117,   118,
     119,   120,   121,   260,   122,     0,   123,   124,   125,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   137,   138,   139,   140,   141,   142,     0,   143,
     144,   145,     0,   146,   147,   148,   261,   150,   151,   152,
      61,    62,     0,   251,     0,     0,   710,     0,     0,     0,
       0,   262,     0,     0,    63,    64,    65,     0,    66,    67,
      68,    69,    70,    71,    72,     0,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,     0,     0,
      85,    86,    87,     0,     0,    88,     0,     0,     0,    89,
      90,    91,     0,     0,    92,    93,    94,    95,    96,    97,
       0,     0,    98,     0,    99,   100,   101,   102,   103,     0,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,     0,     0,     0,   114,     0,   115,   116,
     117,   118,   119,   120,   121,     0,   122,     0,   123,   124,
     125,   126,   127,     0,   128,   129,   130,   131,   132,   133,
     134,   135,   136,     0,   137,   138,   139,   140,   141,   142,
       0,   143,   144,   145,     0,   146,   147,   148,   149,   150,
     151,   152,    61,    62,     0,   251,     0,     0,   570,     0,
       0,     0,     0,   262,     0,     0,    63,    64,    65,     0,
      66,    67,    68,    69,    70,    71,    72,     0,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
       0,     0,    85,    86,    87,     0,     0,    88,     0,     0,
       0,    89,    90,    91,     0,     0,    92,    93,    94,    95,
      96,    97,     0,     0,    98,     0,    99,   100,   101,   102,
     103,     0,   104,   105,   106,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,     0,     0,     0,   114,     0,
     115,   116,   117,   118,   119,   120,   121,     0,   122,     0,
     123,   124,   125,   126,   127,     0,   128,   129,   130,   131,
     132,   133,   134,   135,   136,     0,   137,   138,   139,   140,
     141,   142,     0,   143,   144,   145,     0,   146,   147,   148,
     149,   150,   151,   152,    61,    62,     0,   386,   387,     0,
     388,     0,     0,     0,     0,   262,     0,     0,    63,    64,
      65,     0,    66,    67,    68,    69,    70,    71,    72,     0,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,     0,     0,    85,    86,    87,     0,     0,    88,
       0,     0,     0,    89,    90,    91,     0,     0,    92,    93,
      94,    95,    96,    97,     0,     0,    98,     0,    99,   100,
     101,   102,   103,     0,   104,   105,   106,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,     0,   389,     0,
     114,     0,   115,   116,   117,   118,   119,   120,   121,     0,
     122,     0,   123,   124,   125,   126,   127,     0,   128,   129,
     130,   131,   132,   133,   134,   135,   136,     0,   137,   138,
     139,   140,   141,   142,     0,   143,   144,   145,     0,   146,
     147,   148,   149,   150,   151,   152,    61,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      63,    64,    65,     0,    66,    67,    68,    69,    70,    71,
      72,     0,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,     0,     0,    85,    86,    87,     0,
       0,    88,     0,     0,     0,    89,    90,    91,     0,     0,
      92,    93,    94,    95,    96,    97,     0,   337,    98,     0,
      99,   100,   101,   102,   103,     0,   104,   105,   106,   338,
       0,   107,   108,   109,   110,     0,   111,   112,   113,     0,
       0,     0,   114,     0,   115,   116,   117,   118,   119,   120,
     121,     0,   122,     0,   123,   124,   125,   126,   127,     0,
     128,   129,   130,   131,   132,   133,   134,   135,   136,     0,
     137,   138,   139,   140,   141,   142,     0,   143,   144,   145,
       0,   146,   147,   148,   149,   150,   151,   152,    61,    62,
     250,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    63,    64,    65,     0,    66,    67,    68,    69,
      70,    71,   254,     0,    73,    74,    75,    76,    77,    78,
      79,    80,    81,   255,    83,    84,     0,     0,    85,    86,
      87,     0,     0,   256,     0,   257,     0,    89,    90,    91,
       0,     0,    92,    93,   258,    95,    96,    97,     0,     0,
      98,     0,    99,   100,   101,   259,   103,     0,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,     0,     0,     0,   114,     0,   115,   116,   117,   118,
     963,   120,   121,     0,   122,     0,   123,   124,   125,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   137,   138,   139,   140,   141,   142,     0,   143,
     144,   145,     0,   146,   147,   148,   261,   150,   151,   152,
      61,    62,   250,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    63,    64,    65,     0,    66,    67,
      68,    69,    70,    71,   254,     0,    73,    74,    75,    76,
      77,    78,    79,    80,    81,   255,    83,    84,     0,     0,
      85,    86,    87,     0,     0,   256,     0,   257,     0,    89,
      90,    91,     0,     0,    92,    93,   258,    95,    96,    97,
       0,     0,    98,     0,    99,   100,   101,   259,   103,     0,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,     0,     0,     0,   114,     0,   115,   116,
     117,   118,   119,   120,   121,     0,   122,     0,   123,   124,
     125,   126,   127,     0,   128,   129,   130,   131,   132,   133,
     134,   135,   136,     0,   137,   138,   139,   140,   141,   142,
       0,   143,   144,   145,     0,   146,   147,   148,   261,   150,
     151,   152,   282,   283,     0,     0,     0,     0,   396,     0,
       0,     0,     0,     0,     0,     0,    63,    64,    65,     0,
      66,    67,    68,    69,    70,    71,    72,     0,    73,    74,
      75,    76,   284,    78,    79,    80,    81,    82,    83,    84,
       0,     0,    85,    86,    87,     0,     0,    88,     0,     0,
       0,    89,    90,    91,     0,     0,    92,    93,    94,    95,
      96,    97,     0,     0,    98,     0,    99,   100,   101,   102,
     103,     0,   104,   105,   106,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   285,     0,     0,     0,   114,     0,
     115,   116,   117,   118,   119,   120,   121,     0,   122,     0,
     123,   124,   125,   126,   127,     0,   128,   129,   130,   131,
     132,   133,   134,   397,   136,     0,   137,   138,   139,   140,
     141,   286,     0,   143,   144,   145,     0,   146,   147,   148,
     149,   150,   151,   152,    61,    62,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    63,    64,
      65,     0,    66,    67,    68,    69,    70,    71,    72,     0,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,     0,     0,    85,    86,    87,     0,     0,    88,
       0,     0,     0,    89,    90,    91,     0,     0,    92,    93,
      94,    95,    96,    97,     0,     0,    98,     0,    99,   100,
     101,   102,   103,     0,   104,   105,   106,   926,     0,   107,
     108,   109,   110,     0,   111,   112,   113,     0,     0,     0,
     114,     0,   115,   116,   117,   118,   119,   120,   121,     0,
     122,     0,   123,   124,   125,   126,   127,     0,   128,   129,
     130,   131,   132,   133,   134,   135,   136,     0,   137,   138,
     139,   140,   141,   142,     0,   143,   144,   145,     0,   146,
     147,   148,   149,   150,   151,   152,    61,    62,     0,   935,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      63,    64,    65,     0,    66,    67,    68,    69,    70,    71,
      72,     0,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,     0,     0,    85,    86,    87,     0,
       0,    88,     0,     0,     0,    89,    90,    91,     0,     0,
      92,    93,    94,    95,    96,    97,     0,     0,    98,     0,
      99,   100,   101,   102,   103,     0,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,     0,
       0,     0,   114,     0,   115,   116,   117,   118,   119,   120,
     121,     0,   122,     0,   123,   124,   125,   126,   127,     0,
     128,   129,   130,   131,   132,   133,   134,   135,   136,     0,
     137,   138,   139,   140,   141,   142,     0,   143,   144,   145,
       0,   146,   147,   148,   149,   150,   151,   152,   282,   283,
       0,     0,     0,     0,     0,     0,   528,     0,     0,     0,
       0,     0,    63,    64,    65,     0,    66,    67,    68,    69,
      70,    71,    72,     0,    73,    74,    75,    76,   284,    78,
      79,    80,    81,    82,    83,    84,     0,     0,    85,    86,
      87,     0,     0,    88,     0,     0,     0,    89,    90,    91,
       0,     0,    92,    93,    94,    95,    96,    97,     0,     0,
      98,     0,    99,   100,   101,   102,   103,     0,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     285,     0,     0,     0,   114,     0,   115,   116,   117,   118,
     119,   120,   121,     0,   122,     0,   123,   124,   125,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   137,   138,   139,   140,   141,   286,     0,   143,
     144,   145,     0,   146,   147,   148,   149,   150,   151,   152,
      61,    62,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    63,    64,    65,     0,    66,    67,
      68,    69,    70,    71,    72,     0,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,     0,     0,
      85,    86,    87,     0,     0,    88,     0,     0,     0,    89,
      90,    91,     0,     0,    92,    93,    94,    95,    96,    97,
       0,     0,    98,     0,    99,   100,   101,   102,   103,     0,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,     0,     0,     0,   114,     0,   115,   116,
     117,   118,   119,   120,   121,     0,   122,     0,   123,   124,
     125,   126,   127,     0,   128,   129,   130,   131,   132,   133,
     134,   135,   136,     0,   137,   138,   139,   140,   141,   142,
       0,   143,   144,   145,     0,   146,   147,   148,   149,   150,
     151,   152,   282,   283,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    63,    64,    65,     0,
      66,    67,    68,    69,    70,    71,    72,     0,    73,    74,
      75,    76,   284,    78,    79,    80,    81,    82,    83,    84,
       0,     0,    85,    86,    87,     0,     0,    88,     0,     0,
       0,    89,    90,    91,     0,     0,    92,    93,    94,    95,
      96,    97,     0,     0,    98,     0,    99,   100,   101,   102,
     103,     0,   104,   105,   106,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   285,     0,     0,     0,   114,     0,
     115,   116,   117,   118,   119,   120,   121,     0,   122,     0,
     123,   124,   125,   126,   127,     0,   128,   129,   130,   131,
     132,   133,   134,   135,   136,     0,   137,   138,   139,   140,
     141,   286,     0,   143,   144,   145,     0,   146,   147,   148,
     149,   150,   151,   152,   218,   294,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    63,    64,
      65,     0,    66,    67,    68,    69,    70,    71,    72,     0,
      73,    74,    75,    76,   295,    78,    79,    80,    81,    82,
      83,    84,     0,     0,    85,    86,    87,     0,     0,    88,
       0,     0,     0,    89,    90,    91,     0,     0,    92,    93,
      94,    95,    96,    97,     0,     0,    98,     0,    99,   100,
     101,   102,   103,     0,   104,   105,   106,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   296,     0,     0,     0,
     114,     0,   115,   116,   117,   118,   119,   120,   121,     0,
     122,     0,   123,   124,   125,   126,   127,     0,   128,   129,
     130,   131,   132,   133,   134,   135,   136,     0,   137,   138,
     139,   140,   141,   297,     0,   143,   144,   145,     0,   146,
     147,   148,   149,   150,   151,   152,   282,   283,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      63,    64,    65,     0,    66,    67,    68,    69,    70,    71,
      72,     0,    73,    74,    75,    76,   284,    78,    79,    80,
      81,    82,    83,    84,     0,     0,    85,    86,    87,     0,
       0,    88,     0,     0,     0,    89,    90,    91,     0,     0,
      92,    93,    94,    95,    96,    97,     0,     0,    98,     0,
      99,   100,   101,   102,   103,     0,   104,   105,   106,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   285,     0,
       0,     0,   114,     0,   115,   116,   117,   118,   119,   120,
     121,     0,   122,     0,   123,   124,   125,   126,   127,     0,
     128,   129,   130,   131,   132,   133,   134,   409,   136,     0,
     137,   138,   139,   140,   141,   286,     0,   143,   144,   145,
       0,   146,   147,   148,   149,   150,   151,   152,   585,    62,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    63,    64,    65,     0,    66,    67,    68,    69,
      70,    71,    72,     0,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,     0,     0,    85,    86,
      87,     0,     0,    88,     0,     0,     0,    89,    90,    91,
       0,     0,    92,    93,    94,    95,    96,    97,     0,     0,
      98,     0,    99,   100,   101,   102,   103,     0,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,     0,     0,     0,     0,     0,   115,   116,   117,   118,
     119,   120,   121,     0,   122,     0,   123,   124,   125,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   137,   138,   139,   140,   141,   142,     0,   143,
     144,   145,   218,   146,   147,   148,   149,   150,   151,   152,
     176,     0,     0,     0,     0,     0,    63,    64,    65,     0,
      66,    67,    68,    69,    70,    71,    72,     0,    73,   219,
      75,   220,     0,    78,    79,    80,    81,    82,    83,    84,
       0,     0,    85,    86,    87,     0,     0,    88,     0,     0,
       0,    89,    90,    91,     0,     0,   221,    93,    94,    95,
      96,    97,     0,     0,   222,     0,    99,   100,   101,   102,
     103,     0,   104,   105,   106,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   223,     0,     0,     0,   114,     0,
     115,   116,   117,   118,   119,   120,   121,     0,   122,     0,
     123,   124,   125,   126,   127,     0,   128,   129,   130,   224,
     132,   133,   134,   135,   136,     0,   137,   138,   139,   140,
     141,     0,     0,   143,   144,   145,     0,   146,   147,   148,
     149,   150,   151,   152,   218,     0,     0,     0,     0,     0,
       0,   383,     0,     0,     0,     0,     0,     0,    63,    64,
      65,     0,    66,    67,    68,    69,    70,    71,    72,     0,
      73,    74,    75,    76,     0,    78,    79,    80,    81,    82,
      83,    84,     0,     0,    85,    86,    87,     0,     0,    88,
       0,     0,     0,    89,    90,    91,     0,     0,    92,    93,
      94,    95,    96,    97,     0,     0,    98,     0,    99,   100,
     101,   102,   103,     0,   104,   105,   106,     0,     0,   107,
     108,   109,   110,     0,   111,   112,     0,     0,     0,     0,
     114,     0,   115,   116,   117,   118,   119,   120,   121,     0,
     122,     0,   123,   124,   125,   126,   127,     0,   128,   129,
     130,   131,   132,   133,   134,   135,   136,     0,   137,   138,
     139,   140,   141,  -524,     0,   143,   144,   145,   218,   146,
     147,   148,   149,   150,   151,   152,   176,     0,     0,     0,
       0,     0,    63,    64,    65,     0,    66,    67,    68,    69,
      70,    71,    72,     0,    73,   219,    75,    76,     0,    78,
      79,    80,    81,    82,    83,    84,     0,     0,    85,    86,
      87,     0,     0,    88,     0,     0,     0,    89,    90,    91,
       0,     0,    92,    93,    94,    95,    96,    97,     0,     0,
      98,     0,    99,   100,   101,   102,   103,     0,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     223,     0,     0,     0,   114,     0,   115,   116,   117,   118,
     119,   120,   121,     0,   122,     0,   123,   124,   125,   126,
     127,     0,   128,   129,   130,   131,   132,   133,   134,   135,
     136,     0,   137,   138,   139,   140,   141,     0,     0,   143,
     144,   145,     0,   146,   147,   148,   149,   150,   151,   152,
       1,     0,     0,     2,     0,     0,     0,     3,     0,     0,
       0,     0,     0,     0,     4,     0,     0,   355,     0,     5,
       6,     7,     8,     9,     0,     0,     0,    10,     0,     0,
       0,    11,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    12,     0,     0,     0,
       0,     0,   356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    13,
       0,     0,     0,     0,     0,     0,     0,     0,    14,     0,
      15,     0,    16,     0,    17,     0,    18,     0,     0,    19,
       0,    20,     0,     0,    21,     0,     0,     0,     0,     0,
       0,     0,    22,     0,    23,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371
};

static const yytype_int16 yycheck[] =
{
       3,    18,   350,    41,    60,   316,   485,   318,   319,    18,
      18,   322,   323,   423,   312,    21,   406,   292,    21,   330,
     331,    41,   406,   213,    41,   677,   623,   431,   310,   292,
     565,   435,   436,   437,   438,   439,   440,    21,    41,   381,
     530,     0,     0,    60,    14,    15,    16,   792,   645,   236,
       6,    33,   394,     9,   241,     0,   243,     6,     7,   859,
       9,    20,    20,    64,    10,    56,    21,    16,   619,    28,
      50,    28,   623,    88,    46,    37,    76,    10,    47,    14,
      15,    16,    75,   725,     6,    56,    26,    46,    65,     6,
      89,    50,    75,    88,     6,     7,   975,     9,   132,     6,
       6,     7,    51,     9,    16,    50,    32,   275,   164,   165,
      16,   167,     6,    82,     0,     9,    97,    76,    76,   153,
     101,   114,     6,     7,    64,     9,   107,   138,   139,    64,
      75,    90,    16,   301,   776,   732,   411,    72,   153,  1018,
      20,    20,     6,     7,    89,     9,   142,   164,   165,   132,
     167,   152,    16,   153,   153,   158,   152,   160,   153,   152,
       6,     7,   153,   125,   146,    55,   222,    86,    87,   467,
      16,   151,   769,    63,   123,   147,   773,    56,   147,   148,
     149,     0,   153,    14,   929,    16,   152,    51,   158,   155,
     146,   229,   151,   151,   153,   153,   153,   146,   201,   155,
      31,   680,   681,   466,   221,   222,   151,  1007,   154,   229,
     397,   863,   229,   221,   765,   766,   498,   220,   769,   871,
     223,   154,   409,   158,   146,   567,   229,   414,    47,   146,
     247,   721,   530,   155,   146,    16,   274,   127,   155,   146,
     146,   122,   154,   281,   247,    71,   201,   558,   154,   305,
      31,    26,   146,   528,   274,   530,   151,   274,   275,   123,
     263,   281,   146,    82,   281,   528,   456,   530,    18,    19,
     154,   274,   275,   153,   153,   155,    26,   142,   281,   263,
     154,   917,   146,   470,   301,   820,    21,   152,   305,    64,
     138,   139,   105,   890,    86,    87,     6,     7,   301,   302,
     146,    56,    47,    65,    66,   118,    16,   155,   263,    44,
      56,    86,   350,   910,    64,   967,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    93,   151,   350,    14,    64,    16,    82,   154,   975,
      18,    19,   978,    72,   400,    64,   349,   350,    26,   137,
     109,   354,   742,    72,   142,   114,   760,   761,   742,   995,
     135,   136,   137,   152,   138,   139,   155,   142,   143,   144,
     668,   153,   106,    65,   108,   157,   855,   111,   381,  1009,
    1010,  1017,  1018,   400,   152,   864,    64,   155,   437,   438,
     393,   394,    47,   580,    72,   582,   153,   108,   155,   354,
     145,   146,   147,   148,   149,   153,   462,   155,    86,   596,
     154,   154,   415,   416,   417,   153,   419,   155,   154,   422,
     423,   427,   428,    23,   427,   428,   153,    82,   155,   153,
     153,   155,   155,   417,   152,   419,   154,   154,   422,   423,
     154,   154,   459,   427,   428,   462,   721,   154,   154,   853,
     459,   459,   856,   716,   154,   154,   719,   135,   136,   137,
     415,   416,    62,   154,   142,   143,   144,   153,   153,   155,
     155,   154,   427,   428,   142,   154,   886,    77,   154,   154,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   153,    96,   155,   501,   153,
     153,   155,   155,   154,   159,   105,   154,   153,    17,   155,
     153,   153,   155,   155,   153,   153,   155,   155,   521,   154,
     523,    30,   153,   152,   155,    34,   153,   153,   155,   155,
      39,    40,   153,   153,   155,   155,   153,   153,   155,   155,
    1019,   154,   153,    47,   155,   153,   501,   155,    57,   153,
     153,   155,   155,   154,   122,   153,    65,   155,   153,   153,
     155,   155,   565,   122,   567,   568,   521,   153,   523,   155,
     142,    80,   592,   142,   153,   592,   155,   597,    82,   108,
     597,   118,    75,    92,    93,    94,   528,    89,   530,   592,
      47,   129,   154,   941,   597,   598,   154,   154,   154,   154,
     154,   110,   154,   154,   154,   114,   154,     6,   152,   118,
     119,   120,   152,   152,   670,   118,   152,   152,   152,   152,
     121,   130,    56,   112,    14,    82,    14,    14,   155,   940,
      47,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    16,   154,   154,   153,
     155,   155,   142,   670,   154,   658,     6,    11,   154,    57,
     142,   664,   142,    57,    47,    82,    73,   114,   114,     9,
     153,   147,   153,   679,   658,   154,   679,   155,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   155,   155,   679,   153,   133,   155,    82,
     154,   154,   108,   658,    47,   154,     6,    14,   105,   664,
     153,   132,     9,  1024,     9,     9,   142,   155,   135,   136,
     137,    87,   159,   726,   679,   142,   143,   144,   145,   146,
     147,   148,   149,   146,     9,    47,   154,    10,   741,    82,
      74,   142,   153,   155,   139,   155,   155,   155,   153,     9,
     139,    17,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   139,    87,   154,
      82,   726,   155,   154,   139,   154,    99,   780,    46,   128,
     155,   155,   142,     6,   106,     6,   741,   142,   139,   142,
     142,   138,   135,   136,   137,   798,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   810,     9,   139,
     142,    90,   153,   133,   798,   154,     9,   820,   153,   155,
      58,   154,   139,   135,   136,   780,   829,   153,    97,   154,
     833,   143,   144,   145,   146,   147,   148,   149,     9,     9,
     155,    28,    76,   798,   124,     9,   154,    90,     6,   155,
     154,   854,   134,     9,    20,   810,   155,    47,   861,     9,
     153,   139,    76,    28,    58,    28,    61,   870,   874,   875,
     854,   874,   875,   876,   829,     6,    65,    65,   155,   155,
      65,   155,   154,   886,    90,   155,   153,    28,     6,   154,
     874,   875,    82,   154,     6,   154,   153,   155,   153,   854,
     154,   279,   886,   941,   155,   490,   861,   973,   718,   811,
     351,   875,   980,   995,   917,   475,   981,   742,  1029,   874,
     875,   876,   952,   687,   941,   961,   192,   810,   521,   861,
     677,   568,   198,   917,   200,   923,   854,   871,   941,    19,
     833,   374,   364,   347,    -1,   135,   136,   137,   663,   952,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     661,    -1,   917,    -1,    -1,    -1,   972,    -1,    -1,   972,
     973,    -1,   975,    -1,    -1,   978,    -1,   980,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,   972,    -1,
      -1,   975,   995,    -1,   978,    -1,   980,   952,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1008,  1009,  1010,    -1,    -1,
      -1,   995,   278,    -1,  1017,  1018,    -1,   972,   973,    -1,
     975,    -1,    -1,   978,    -1,   980,    -1,  1030,    -1,    -1,
      -1,    -1,    -1,  1017,  1018,    -1,    -1,    -1,    -1,    -1,
     995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    47,   315,
      -1,    -1,    -1,    -1,    -1,   321,    -1,    -1,   324,   325,
      -1,    -1,  1017,  1018,    -1,    -1,   332,   333,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,   393,    -1,    -1,
     346,    -1,    -1,    82,    -1,   351,    -1,    -1,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,    82,    -1,
      -1,    -1,    -1,    -1,   380,   431,    -1,    -1,    -1,   435,
     436,   437,   438,   439,   440,   441,    -1,    -1,   444,   445,
     446,   447,   448,   449,   450,   451,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
     476,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    47,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,    47,   565,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      82,    -1,    -1,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
      -1,    -1,    -1,    82,   155,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,    -1,    -1,    -1,    -1,   155,    -1,   623,    -1,    -1,
      -1,    -1,   628,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   645,
     646,    -1,    -1,   155,    -1,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,   677,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   661,    -1,   663,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   732,    47,    -1,   685,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   699,    -1,   701,    -1,    -1,    -1,    -1,
      -1,   707,    -1,    -1,   760,   761,    -1,    -1,    -1,    -1,
      -1,    -1,    82,   769,   770,    -1,    -1,   773,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   788,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,    47,
      -1,   153,    -1,    -1,   810,    -1,    -1,    -1,    82,    -1,
      -1,    -1,    -1,    -1,   820,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,    47,    -1,   153,    82,    -1,    -1,    -1,    54,    -1,
     846,    -1,    -1,    -1,    -1,   851,    -1,   853,    -1,    -1,
     856,    -1,    -1,    -1,    -1,   811,    -1,   863,    -1,    -1,
      -1,   135,   136,   137,    -1,   871,    82,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   890,    -1,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,    -1,   910,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   920,    -1,    -1,    -1,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,    -1,     3,     4,     5,     6,
       7,    -1,     9,    10,    11,   951,    -1,    -1,    -1,    16,
      17,    18,    19,    -1,    21,    22,    23,    24,    25,    26,
      27,   967,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    -1,
      -1,    48,    -1,    -1,    -1,    52,    53,    54,    -1,    -1,
      57,    58,    59,    60,    61,    62,    -1,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    -1,
      -1,    78,    79,    80,    81,    -1,    83,    84,    85,    86,
      -1,    -1,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,    -1,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
     147,    -1,    -1,    -1,    -1,    -1,    -1,   154,    -1,   156,
       3,     4,     5,     6,     7,    -1,     9,    10,    -1,    -1,
      -1,    -1,    -1,    16,    17,    18,    19,    -1,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    -1,
      43,    44,    45,    -1,    -1,    48,    -1,    -1,    -1,    52,
      53,    54,    -1,    -1,    57,    58,    59,    60,    61,    62,
      -1,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    -1,    -1,    78,    79,    80,    81,    -1,
      83,    84,    85,    86,    -1,    -1,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,    -1,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   154,   155,   156,     3,     4,     5,     6,     7,    -1,
       9,    10,    -1,    -1,    -1,    -1,    -1,    16,    17,    18,
      19,    -1,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    -1,    -1,    48,
      -1,    -1,    -1,    52,    53,    54,    -1,    -1,    57,    58,
      59,    60,    61,    62,    -1,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    -1,    -1,    78,
      79,    80,    81,    -1,    83,    84,    85,    86,    -1,    -1,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   154,   155,   156,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,
      -1,    16,    17,    18,    19,    -1,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    -1,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    86,    -1,    -1,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,   147,    -1,    -1,    -1,    -1,    -1,    -1,   154,
      -1,   156,     3,     4,     5,     6,     7,    -1,     9,    10,
      -1,    -1,    -1,    -1,    -1,    16,    17,    18,    19,    -1,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    -1,    -1,    48,    -1,    -1,
      -1,    52,    53,    54,    -1,    -1,    57,    58,    59,    60,
      61,    62,    -1,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    -1,    -1,    78,    79,    80,
      81,    -1,    83,    84,    85,    86,    -1,    -1,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,   147,    -1,    -1,    -1,
      -1,    -1,    -1,   154,    -1,   156,     3,     4,     5,     6,
       7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,    16,
      17,    18,    19,    -1,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    -1,
      -1,    48,    -1,    -1,    -1,    52,    53,    54,    -1,    -1,
      57,    58,    59,    60,    61,    62,    -1,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    -1,
      -1,    78,    79,    80,    81,    -1,    83,    84,    85,    86,
      -1,    -1,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   154,    -1,   156,
       3,     4,     5,     6,     7,    -1,     9,    10,    -1,    -1,
      -1,    -1,    -1,    16,    17,    18,    19,    -1,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    -1,
      43,    44,    45,    -1,    -1,    48,    -1,    -1,    -1,    52,
      53,    54,    -1,    -1,    57,    58,    59,    60,    61,    62,
      -1,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    -1,    -1,    78,    79,    80,    81,    -1,
      83,    84,    85,    86,    -1,    -1,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,    -1,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   154,   155,   156,     3,     4,     5,     6,     7,    -1,
       9,    10,    -1,    -1,    -1,    -1,    -1,    16,    17,    18,
      19,    -1,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    -1,    -1,    48,
      -1,    -1,    -1,    52,    53,    54,    -1,    -1,    57,    58,
      59,    60,    61,    62,    -1,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    -1,    -1,    78,
      79,    80,    81,    -1,    83,    84,    85,    86,    -1,    -1,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   154,    -1,   156,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,
      -1,    16,    17,    18,    19,    -1,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    -1,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    86,    -1,    -1,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   154,
      -1,   156,     3,     4,     5,     6,     7,    -1,     9,    10,
      -1,    -1,    -1,    -1,    -1,    16,    17,    18,    19,    -1,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    -1,    -1,    48,    -1,    -1,
      -1,    52,    53,    54,    -1,    -1,    57,    58,    59,    60,
      61,    62,    -1,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    -1,    -1,    78,    79,    80,
      81,    -1,    83,    84,    85,    86,    -1,    -1,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   146,     3,     4,     5,     6,
      -1,    -1,    -1,   154,    -1,   156,    -1,    -1,    -1,    -1,
      17,    18,    19,    -1,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    -1,
      -1,    48,    -1,    50,    -1,    52,    53,    54,    -1,    -1,
      57,    58,    59,    60,    61,    62,    -1,    -1,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    -1,
      -1,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      -1,    -1,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,    -1,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
       3,     4,     5,     6,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    17,    18,    19,   154,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    -1,
      43,    44,    45,    -1,    -1,    48,    -1,    50,    -1,    52,
      53,    54,    -1,    -1,    57,    58,    59,    60,    61,    62,
      -1,    -1,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    -1,    -1,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    -1,    -1,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,    -1,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,     3,     4,     5,     6,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    17,    18,
      19,   154,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    -1,    -1,    48,
      -1,    50,    -1,    52,    53,    54,    -1,    -1,    57,    58,
      59,    60,    61,    62,    -1,    -1,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    -1,    -1,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    -1,    -1,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,     3,     4,
      -1,     6,    -1,    -1,     9,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    17,    18,    19,   154,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    -1,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    -1,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    -1,    -1,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,     3,     4,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,   154,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    -1,    -1,    48,    -1,    -1,
      -1,    52,    53,    54,    -1,    -1,    57,    58,    59,    60,
      61,    62,    -1,    -1,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    -1,    -1,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    -1,    -1,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,    -1,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,     3,     4,    -1,     6,
      -1,    -1,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,   154,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    -1,
      -1,    48,    -1,    -1,    51,    52,    53,    54,    -1,    -1,
      57,    58,    59,    60,    61,    62,    -1,    -1,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    -1,
      -1,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,    -1,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,     3,     4,
       5,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    17,    18,    19,    -1,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    50,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    -1,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    -1,    -1,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
       3,     4,    -1,     6,    -1,    -1,     9,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    17,    18,    19,    -1,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    -1,
      43,    44,    45,    -1,    -1,    48,    -1,    -1,    -1,    52,
      53,    54,    -1,    -1,    57,    58,    59,    60,    61,    62,
      -1,    -1,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    -1,    -1,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    -1,    -1,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,    -1,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,     3,     4,    -1,     6,    -1,    -1,     9,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    17,    18,    19,    -1,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    -1,    -1,    48,    -1,    -1,
      -1,    52,    53,    54,    -1,    -1,    57,    58,    59,    60,
      61,    62,    -1,    -1,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    -1,    -1,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    -1,    -1,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,    -1,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,     3,     4,    -1,     6,     7,    -1,
       9,    -1,    -1,    -1,    -1,   146,    -1,    -1,    17,    18,
      19,    -1,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    -1,    -1,    48,
      -1,    -1,    -1,    52,    53,    54,    -1,    -1,    57,    58,
      59,    60,    61,    62,    -1,    -1,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    -1,    -1,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    -1,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,    -1,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,     3,     4,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    -1,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    -1,
      -1,    48,    -1,    -1,    -1,    52,    53,    54,    -1,    -1,
      57,    58,    59,    60,    61,    62,    -1,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      -1,    -1,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,    -1,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,     3,     4,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    -1,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    50,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    -1,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    -1,    -1,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
       3,     4,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    -1,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    -1,
      43,    44,    45,    -1,    -1,    48,    -1,    50,    -1,    52,
      53,    54,    -1,    -1,    57,    58,    59,    60,    61,    62,
      -1,    -1,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    -1,    -1,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    -1,    -1,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,    -1,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,     3,     4,    -1,    -1,    -1,    -1,     9,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    -1,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    -1,    -1,    48,    -1,    -1,
      -1,    52,    53,    54,    -1,    -1,    57,    58,    59,    60,
      61,    62,    -1,    -1,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    -1,    -1,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    -1,    -1,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,    -1,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,     3,     4,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    -1,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    -1,    -1,    48,
      -1,    -1,    -1,    52,    53,    54,    -1,    -1,    57,    58,
      59,    60,    61,    62,    -1,    -1,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    -1,    -1,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,    -1,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,     3,     4,    -1,     6,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    -1,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    -1,
      -1,    48,    -1,    -1,    -1,    52,    53,    54,    -1,    -1,
      57,    58,    59,    60,    61,    62,    -1,    -1,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    -1,
      -1,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      -1,    -1,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,    -1,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,     3,     4,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    -1,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    -1,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    -1,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    -1,    -1,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
       3,     4,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    -1,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    -1,
      43,    44,    45,    -1,    -1,    48,    -1,    -1,    -1,    52,
      53,    54,    -1,    -1,    57,    58,    59,    60,    61,    62,
      -1,    -1,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    -1,    -1,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    -1,    -1,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,    -1,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,     3,     4,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    -1,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    -1,    -1,    48,    -1,    -1,
      -1,    52,    53,    54,    -1,    -1,    57,    58,    59,    60,
      61,    62,    -1,    -1,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    -1,    -1,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    -1,    -1,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,    -1,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,     3,     4,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    -1,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    -1,    -1,    48,
      -1,    -1,    -1,    52,    53,    54,    -1,    -1,    57,    58,
      59,    60,    61,    62,    -1,    -1,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    -1,    -1,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    -1,    -1,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,    -1,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,     3,     4,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    -1,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    -1,    43,    44,    45,    -1,
      -1,    48,    -1,    -1,    -1,    52,    53,    54,    -1,    -1,
      57,    58,    59,    60,    61,    62,    -1,    -1,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    -1,
      -1,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      -1,    -1,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,    -1,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,     3,     4,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    -1,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    -1,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    -1,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,     3,   128,   129,   130,   131,   132,   133,   134,
      11,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    -1,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    32,    -1,    34,    35,    36,    37,    38,    39,    40,
      -1,    -1,    43,    44,    45,    -1,    -1,    48,    -1,    -1,
      -1,    52,    53,    54,    -1,    -1,    57,    58,    59,    60,
      61,    62,    -1,    -1,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    -1,    -1,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    -1,    -1,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,    -1,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,    -1,    -1,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    -1,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    32,    -1,    34,    35,    36,    37,    38,
      39,    40,    -1,    -1,    43,    44,    45,    -1,    -1,    48,
      -1,    -1,    -1,    52,    53,    54,    -1,    -1,    57,    58,
      59,    60,    61,    62,    -1,    -1,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    -1,    -1,    78,
      79,    80,    81,    -1,    83,    84,    -1,    -1,    -1,    -1,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,    -1,   101,   102,   103,   104,   105,    -1,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,     3,   128,
     129,   130,   131,   132,   133,   134,    11,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    -1,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    32,    -1,    34,
      35,    36,    37,    38,    39,    40,    -1,    -1,    43,    44,
      45,    -1,    -1,    48,    -1,    -1,    -1,    52,    53,    54,
      -1,    -1,    57,    58,    59,    60,    61,    62,    -1,    -1,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    -1,    -1,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    -1,    -1,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,    -1,   101,   102,   103,   104,
     105,    -1,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,    -1,    -1,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      22,    -1,    -1,    25,    -1,    -1,    -1,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    47,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    -1,    -1,
      -1,    53,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,
      -1,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,    -1,
     102,    -1,   104,    -1,   106,    -1,   108,    -1,    -1,   111,
      -1,   113,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   124,    -1,   126,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    22,    25,    29,    36,    41,    42,    43,    44,    45,
      49,    53,    68,    91,   100,   102,   104,   106,   108,   111,
     113,   116,   124,   126,   161,   162,   189,   190,   191,   192,
     199,   248,   252,   254,   259,   260,   261,   262,   270,   272,
     281,   283,   284,   292,   295,   297,   298,   299,   300,   301,
     302,   306,   307,   310,   312,   327,   328,   329,   330,   331,
      65,     3,     4,    17,    18,    19,    21,    22,    23,    24,
      25,    26,    27,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    43,    44,    45,    48,    52,
      53,    54,    57,    58,    59,    60,    61,    62,    65,    67,
      68,    69,    70,    71,    73,    74,    75,    78,    79,    80,
      81,    83,    84,    85,    89,    91,    92,    93,    94,    95,
      96,    97,    99,   101,   102,   103,   104,   105,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   117,   118,   119,
     120,   121,   122,   124,   125,   126,   128,   129,   130,   131,
     132,   133,   134,   163,   164,   165,   166,   168,    32,   271,
     332,    23,    62,    77,    96,   105,   311,    65,    66,    93,
       3,     5,     6,     7,     9,    10,    11,    16,    18,    19,
      24,    27,    38,    48,    52,    59,    60,    64,    67,    70,
      79,    81,    86,    95,    98,   103,   117,   131,   146,   147,
     154,   156,   168,   170,   187,   201,   202,   204,   240,   241,
     244,   303,   304,   305,   313,   314,   317,   318,     3,    30,
      32,    57,    65,    85,   110,   165,   167,   187,   293,    17,
      30,    34,    39,    40,    57,    65,    80,    92,    93,    94,
     110,   114,   118,   119,   120,   130,   250,   251,   293,   122,
       5,     6,    18,    19,    27,    38,    48,    50,    59,    70,
      98,   131,   146,   154,   168,   170,   209,   210,   211,   212,
     213,   314,   105,   118,   308,   285,     0,   151,    50,   151,
     325,    71,     3,     4,    33,    85,   122,   165,   167,   168,
     171,   172,   173,   181,     4,    33,    85,   122,   171,   154,
     168,    56,   168,   171,   171,    65,   171,    56,   154,    14,
      16,   176,   177,   185,   186,   154,   154,   154,   154,   154,
     154,   154,   154,   154,   154,   154,     3,    79,    81,   240,
     154,   154,   154,   154,   154,   240,   240,    64,    76,   168,
     170,   245,   246,    14,    15,    16,   158,   315,   316,   152,
      56,   153,    20,   203,   279,    47,    82,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   154,    76,   153,   228,   229,   203,    64,    72,
     142,   108,   168,    10,   167,   171,     6,     7,     9,    87,
     168,   257,   258,   142,   142,   122,     9,   114,   173,   108,
     118,    75,   249,   249,   249,   249,    89,   230,   231,   114,
     172,   173,   182,   184,   129,   154,   154,   154,   154,   154,
     154,   154,   154,   154,   154,     6,   209,   138,   139,    18,
      19,    26,    64,    72,    86,   135,   136,   137,   142,   143,
     144,    26,    64,    86,   135,   136,   137,   142,   143,   144,
     137,   142,   173,   182,   240,   322,   323,   324,   106,   108,
     190,   173,   152,    14,    16,    31,   174,   177,   178,   118,
     282,   121,     7,     9,    16,   146,   154,   213,   214,   215,
     269,   273,   274,   182,   168,   171,    56,   326,   112,     9,
     154,   155,   240,   242,   243,   185,    14,   176,    16,   240,
     242,    46,   147,   242,   242,   155,   240,   242,   242,   240,
     240,   154,   154,   154,   155,   242,   242,   240,   240,   155,
     155,   153,   157,   142,     9,   240,   316,   168,    11,   154,
     173,   183,   184,   188,   202,   240,   170,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   318,   240,   240,
     240,   240,   240,   240,   240,   240,     6,   304,   154,    86,
      87,   240,   257,    57,   142,   142,    57,    33,   146,   253,
       9,    51,    87,   123,   168,   213,   255,   256,   257,    73,
     114,   249,   114,   171,     9,     3,   163,   164,   169,   232,
     233,   249,   153,   174,   175,   109,   114,   153,   132,   249,
     288,   289,   170,   170,   168,   314,   147,   314,   155,   155,
     314,   168,   313,   314,   155,   155,   209,   209,   154,   154,
     213,   214,    10,   154,    86,    87,    18,    19,    26,    64,
     213,   214,   213,   214,     9,   214,   256,     9,   214,   256,
     213,   214,   213,   214,   213,   154,    26,    64,   213,   213,
     213,   213,   213,   213,   213,   213,   133,   309,   108,   203,
      28,   153,   320,   321,   154,   263,   171,     6,   177,   249,
     105,   215,     9,   155,   213,   216,   275,   153,   276,   132,
     206,     9,   230,     9,     9,   106,   192,   153,   155,   185,
     155,   155,   170,   155,   155,   155,   155,   155,   155,   153,
     155,   153,   155,   240,   240,   155,   155,   153,   155,   246,
       9,   170,   213,   247,   159,   159,   174,   178,   196,   174,
     175,   176,   178,   179,   180,   200,    54,    88,   153,   242,
      87,     9,   154,   213,   255,    10,   257,   258,    74,   249,
     249,   142,   153,   172,   174,   249,   172,   168,   290,   291,
     155,   155,   155,   155,   155,   155,   153,     9,   217,   217,
     139,   139,   216,   217,    87,   154,   154,   213,    10,   154,
     139,   216,   213,   154,    99,   170,   286,   287,   314,   322,
      46,   319,   324,   170,   264,   265,   128,   171,   153,   155,
     153,   155,   269,   274,   277,   278,   155,    78,   154,   207,
     208,   209,   230,   230,   155,   243,   155,   240,   240,   240,
     142,   106,   199,   175,   205,   206,   170,     6,     6,   155,
     142,   216,   142,    97,   101,   107,   294,     6,     9,   154,
     170,   233,   142,   138,     9,   153,   155,   155,   213,   214,
     213,   214,   155,   155,   217,   217,   139,   216,   217,   213,
     155,   139,   216,   142,   153,   206,   142,   170,    90,   224,
     225,   153,   155,   154,   266,   267,   133,   296,   213,     9,
     279,   153,   154,    78,   139,   139,   153,   193,   155,   155,
     153,   247,   201,   155,    58,   218,    64,   213,   255,   155,
     154,    37,   125,    97,   170,   234,   235,   154,     9,   291,
     155,     9,   155,   155,   213,   155,   155,   213,   155,     9,
     154,   213,   214,   287,   230,   213,   214,    28,   228,   264,
     154,   268,   269,   153,   230,   124,    76,   168,   280,   269,
     278,     9,   154,   209,   208,     6,   170,   194,   195,   155,
     154,    56,    90,   197,     6,   219,   134,   222,   223,   313,
     216,   142,   153,   155,     9,   155,   216,    55,    63,   127,
     236,   237,   239,    95,   211,   226,   227,   153,   155,   267,
     155,     9,   139,   153,   242,    28,    76,   198,    28,    58,
      61,   221,   155,   155,   213,   235,   155,   155,    65,    65,
      65,   239,   154,    21,    44,   153,   269,   155,   209,   195,
     155,   226,     6,   211,   220,    90,   210,   224,   154,   154,
     154,   155,   227,   155,   153,    88,   153,   153,    28,   228,
     168,   238,   238,   238,   154,     6,     6,   211,   226,   230,
     153,   155,   155,   155,   242,   236,   168,   155,   155
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   160,   161,   161,   161,   161,   162,   162,   162,   162,
     162,   162,   162,   162,   162,   162,   162,   162,   162,   162,
     162,   162,   162,   162,   162,   162,   162,   162,   162,   162,
     162,   162,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   163,   163,
     163,   163,   163,   163,   163,   163,   163,   163,   164,   164,
     164,   164,   165,   165,   166,   166,   167,   167,   168,   168,
     169,   169,   169,   170,   170,   171,   171,   171,   171,   171,
     172,   172,   173,   174,   174,   175,   175,   176,   177,   177,
     178,   178,   179,   179,   180,   180,   180,   181,   181,   182,
     182,   182,   183,   183,   183,   184,   184,   185,   185,   186,
     186,   186,   186,   186,   187,   187,   188,   188,   188,   189,
     189,   189,   190,   190,   190,   191,   191,   192,   192,   193,
     193,   194,   194,   195,   195,   196,   197,   198,   198,   198,
     198,   200,   199,   201,   201,   202,   202,   203,   203,   204,
     204,   204,   204,   204,   204,   204,   204,   204,   205,   205,
     206,   207,   207,   207,   207,   207,   208,   208,   209,   209,
     209,   209,   210,   210,   210,   210,   210,   210,   210,   210,
     210,   210,   210,   210,   210,   210,   210,   210,   210,   210,
     210,   210,   210,   210,   210,   210,   210,   210,   210,   210,
     210,   210,   210,   210,   210,   210,   210,   210,   210,   210,
     210,   210,   210,   210,   210,   210,   211,   211,   211,   211,
     211,   211,   211,   211,   211,   211,   212,   212,   213,   213,
     214,   214,   215,   215,   216,   216,   217,   217,   218,   218,
     219,   219,   220,   220,   221,   221,   222,   222,   223,   224,
     224,   225,   225,   226,   226,   227,   227,   227,   228,   228,
     229,   229,   229,   230,   230,   231,   232,   232,   233,   233,
     233,   233,   233,   234,   234,   235,   236,   236,   237,   237,
     238,   238,   239,   239,   239,   240,   240,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   240,   240,   240,
     240,   240,   240,   240,   240,   240,   240,   241,   241,   241,
     241,   241,   241,   241,   241,   241,   241,   241,   241,   241,
     241,   241,   241,   242,   242,   243,   243,   244,   244,   244,
     245,   245,   245,   246,   246,   246,   247,   247,   247,   248,
     249,   249,   250,   250,   250,   250,   250,   250,   250,   250,
     250,   250,   250,   250,   250,   250,   250,   250,   250,   250,
     250,   251,   251,   252,   252,   252,   252,   252,   252,   253,
     253,   254,   254,   254,   254,   254,   254,   255,   255,   256,
     256,   256,   257,   257,   258,   258,   258,   258,   258,   259,
     259,   259,   260,   260,   261,   262,   262,   263,   263,   264,
     265,   265,   266,   266,   267,   268,   268,   269,   269,   269,
     269,   269,   271,   270,   272,   273,   273,   274,   274,   275,
     275,   276,   276,   277,   277,   278,   279,   279,   280,   280,
     281,   282,   282,   283,   283,   285,   284,   286,   286,   287,
     287,   287,   287,   287,   287,   287,   288,   288,   289,   290,
     290,   291,   292,   293,   293,   293,   294,   294,   294,   294,
     295,   296,   296,   297,   298,   299,   300,   301,   302,   303,
     303,   304,   305,   306,   307,   308,   308,   309,   309,   311,
     310,   312,   313,   313,   314,   315,   315,   316,   316,   316,
     316,   316,   317,   317,   318,   319,   319,   319,   320,   320,
     321,   322,   323,   324,   324,   325,   326,   326,   327,   328,
     329,   330,   332,   331
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     2,     1,     2,     1,     1,     2,
       1,     2,     1,     2,     0,     1,     1,     1,     2,     1,
       2,     1,     2,     1,     1,     3,     3,     1,     2,     1,
       1,     2,     2,     3,     1,     2,     1,     2,     2,     1,
       3,     2,     1,     1,     1,     1,     8,     1,     9,     0,
       2,     1,     3,     1,     1,     0,     3,     0,     2,     4,
       4,     0,    13,     1,     3,     1,     2,     0,     2,     1,
       4,     4,     4,     4,     4,     4,     3,     5,     0,     1,
       2,     1,     1,     3,     3,     5,     4,     6,     1,     3,
       3,     3,     3,     3,     5,     6,     5,     6,     5,     6,
       5,     6,     3,     4,     5,     6,     3,     3,     3,     3,
       3,     3,     5,     5,     5,     3,     3,     3,     3,     3,
       3,     3,     4,     3,     3,     3,     3,     5,     6,     5,
       6,     3,     3,     3,     3,     6,     1,     1,     4,     3,
       3,     1,     4,     4,     4,     3,     4,     4,     1,     2,
       1,     2,     1,     1,     1,     3,     1,     3,     0,     4,
       0,     1,     1,     3,     0,     2,     0,     1,     5,     0,
       1,     3,     5,     1,     3,     1,     2,     2,     0,     1,
       2,     4,     4,     0,     1,     2,     1,     3,     3,     3,
       5,     6,     3,     1,     3,     3,     0,     1,     1,     2,
       1,     3,     5,     5,     5,     1,     1,     1,     1,     1,
       1,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     1,     1,     1,     3,     4,     4,     4,     5,
       4,     4,     4,     4,     3,     6,     6,     3,     8,    14,
       3,     4,     4,     1,     3,     1,     1,     1,     1,     1,
       0,     3,     5,     1,     1,     1,     1,     1,     1,     3,
       0,     2,     1,     2,     2,     3,     1,     1,     1,     1,
       3,     4,     4,     4,     3,     3,     1,     2,     2,     2,
       3,     1,     1,     4,     4,     4,     4,     4,     4,     0,
       2,     7,     5,     5,     9,     7,     7,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     7,     1,     1,     0,     3,     1,
       1,     3,     1,     3,     3,     1,     3,     1,     1,     1,
       3,     2,     0,     6,     6,     1,     3,     1,     3,     1,
       3,     0,     2,     1,     3,     3,     0,     1,     1,     1,
       4,     0,     1,     1,     1,     0,     8,     1,     3,     3,
       3,     5,     4,     3,     3,     3,     1,     1,     2,     1,
       3,     3,     6,     0,     1,     1,     2,     2,     2,     1,
       7,     0,     2,     3,     3,     2,     2,     2,     3,     1,
       3,     2,     1,     2,     4,     1,     1,     0,     2,     0,
       5,     5,     1,     1,     2,     1,     2,     1,     1,     1,
       3,     3,     3,     3,     1,     0,     1,     2,     0,     2,
       1,     2,     1,     1,     3,     6,     0,     2,     4,     2,
       2,     3,     0,     6
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (pParser, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, pParser); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, SqlParser_c * pParser)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (pParser);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, SqlParser_c * pParser)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep, pParser);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule, SqlParser_c * pParser)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)], pParser);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule, pParser); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, SqlParser_c * pParser)
{
  YY_USE (yyvaluep);
  YY_USE (pParser);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (SqlParser_c * pParser)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, pParser);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* request: statement  */
#line 188 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { pParser->PushQuery(); }
#line 3611 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 3: /* request: statement ';'  */
#line 189 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->PushQuery(); }
#line 3617 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 28: /* statement: TOK_DEBUGCLAUSE  */
#line 217 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                { pParser->m_pStmt->m_eStmt = STMT_DEBUG; }
#line 3623 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 31: /* statement: TOK_DDLCLAUSE  */
#line 220 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                        { pParser->m_bGotDDLClause = true; }
#line 3629 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 134: /* identcol: identcol ':' ident  */
#line 295 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                             {TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] );}
#line 3635 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 135: /* identidx: "`identifier`"  */
#line 301 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
        {
		yyval = yyvsp[0];
		++yyval.m_iStart;
		--yyval.m_iEnd;
	}
#line 3645 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 141: /* one_index: ident ':' identidx  */
#line 312 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString (pParser->m_pStmt->m_sCluster, yyvsp[-2]);
			yyval = yyvsp[0];
		}
#line 3654 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 142: /* only_one_index: one_index  */
#line 320 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString (pParser->m_pStmt->m_sIndex, yyvsp[0]);
		}
#line 3662 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 143: /* chunk_key: ".number"  */
#line 327 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddDotIntSubkey (yyvsp[0]);
			pParser->m_pStmt->m_iIntParam = yyvsp[0].m_iValue;
		}
#line 3671 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 144: /* chunk_key: TOK_CHUNK "integer"  */
#line 332 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddIntSubkey (yyvsp[0]);
			pParser->m_pStmt->m_iIntParam = yyvsp[0].m_iValue;
		}
#line 3680 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 147: /* string_key: TOK_SUBKEY  */
#line 345 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
    		pParser->AddStringSubkey (yyvsp[0]);
    	}
#line 3688 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 161: /* one_index_opt_chunk: list_of_indexes  */
#line 381 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
        {
    		pParser->ToString (pParser->m_pQuery->m_sIndexes, yyvsp[0]);
    	}
#line 3696 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 162: /* from_target: only_one_index fromkeys  */
#line 388 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pQuery->m_sIndexes = pParser->m_pStmt->m_sIndex;
			pParser->SwapSubkeys();
		}
#line 3705 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 163: /* from_target: list_of_indexes  */
#line 393 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString (pParser->m_pQuery->m_sIndexes, yyvsp[0]);
		}
#line 3713 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 164: /* from_target: sysvar_ext  */
#line 397 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
    		pParser->ToString (pParser->m_pQuery->m_sIndexes, yyvsp[0]);
    		pParser->SwapSubkeys();
    	}
#line 3722 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 165: /* list_of_indexes: one_index ',' one_index  */
#line 405 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
    		TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] );
    	}
#line 3730 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 166: /* list_of_indexes: list_of_indexes ',' one_index  */
#line 409 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] );
		}
#line 3738 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 168: /* string_nokeys: string_keys TOK_SUBKEY  */
#line 420 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval = yyvsp[0];
		}
#line 3746 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 171: /* multi_strings_and_maybe_chunk_nokey: ".number" string_nokeys  */
#line 429 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
    		yyval = yyvsp[0];
    	}
#line 3754 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 172: /* multi_strings_and_maybe_chunk_nokey: string_nokeys ".number"  */
#line 433 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
        {
    		yyval = yyvsp[0];
    	}
#line 3762 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 173: /* multi_strings_and_maybe_chunk_nokey: string_nokeys ".number" string_nokeys  */
#line 437 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
        {
    		yyval = yyvsp[0];
    	}
#line 3770 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 175: /* sysvar: "@@sysvar" multi_strings_and_maybe_chunk_nokey  */
#line 445 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			TRACK_BOUNDS ( yyval, yyvsp[-1], yyvsp[0] );
		}
#line 3778 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 179: /* multi_stmt_list: multi_stmt  */
#line 460 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                        { pParser->PushQuery(); }
#line 3784 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 180: /* multi_stmt_list: multi_stmt_list ';' multi_stmt  */
#line 461 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->PushQuery(); }
#line 3790 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 181: /* multi_stmt_list: multi_stmt_list facet_stmt  */
#line 462 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->PushQuery(); }
#line 3796 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 186: /* select: TOK_SELECT "identifier" '(' '(' select1 ')' opt_tablefunc_args ')'  */
#line 474 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			assert ( pParser->m_pStmt->m_eStmt==STMT_SELECT ); // set by table argument
			pParser->ToString ( pParser->m_pStmt->m_sTableFunc, yyvsp[-6] );
		}
#line 3805 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 188: /* select1: TOK_SELECT select_items_list TOK_FROM '(' subselect_start select_from ')' opt_outer_order opt_outer_limit  */
#line 484 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			assert ( pParser->m_pStmt->m_eStmt==STMT_SELECT ); // set by subselect
		}
#line 3813 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 191: /* tablefunc_args_list: tablefunc_arg  */
#line 496 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString ( pParser->m_pStmt->m_dTableFuncArgs.Add(), yyvsp[0] );
		}
#line 3821 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 192: /* tablefunc_args_list: tablefunc_args_list ',' tablefunc_arg  */
#line 500 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString ( pParser->m_pStmt->m_dTableFuncArgs.Add(), yyvsp[0] );
		}
#line 3829 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 195: /* subselect_start: %empty  */
#line 511 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
        {
		CSphVector<CSphQueryItem> & dItems = pParser->m_pQuery->m_dItems;
		if ( dItems.GetLength()!=1 || dItems[0].m_sExpr!="*" )
		{
			yyerror ( pParser, "outer select list must be a single star" );
			YYERROR;
		}
		dItems.Reset();
		pParser->ResetSelect();
	}
#line 3844 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 196: /* opt_outer_order: TOK_ORDER TOK_BY order_items_list  */
#line 525 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString ( pParser->m_pQuery->m_sOuterOrderBy, yyvsp[0] );
			pParser->m_pQuery->m_bHasOuter = true;
		}
#line 3853 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 198: /* opt_outer_limit: TOK_LIMIT "integer"  */
#line 534 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pQuery->m_iOuterLimit = yyvsp[0].m_iValue;
			pParser->m_pQuery->m_bHasOuter = true;
		}
#line 3862 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 199: /* opt_outer_limit: TOK_LIMIT "integer" ',' "integer"  */
#line 539 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pQuery->m_iOuterOffset = yyvsp[-2].m_iValue;
			pParser->m_pQuery->m_iOuterLimit = yyvsp[0].m_iValue;
			pParser->m_pQuery->m_bHasOuter = true;
		}
#line 3872 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 200: /* opt_outer_limit: TOK_LIMIT "integer" TOK_OFFSET "integer"  */
#line 545 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pQuery->m_iOuterLimit = yyvsp[-2].m_iValue;
			pParser->m_pQuery->m_iOuterOffset = yyvsp[0].m_iValue;
			pParser->m_pQuery->m_bHasOuter = true;
		}
#line 3882 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 201: /* $@1: %empty  */
#line 554 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                             { pParser->m_pStmt->m_eStmt = STMT_SELECT; }
#line 3888 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 205: /* select_item: '*'  */
#line 571 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                                { pParser->AddItem ( &yyvsp[0] ); }
#line 3894 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 208: /* opt_alias: opt_as identcol  */
#line 577 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                        { pParser->AliasLastItem ( &yyvsp[0] ); }
#line 3900 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 209: /* select_expr: expr  */
#line 581 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                        { pParser->AddItem ( &yyvsp[0] ); }
#line 3906 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 210: /* select_expr: TOK_AVG '(' expr ')'  */
#line 582 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { pParser->AddItem ( &yyvsp[-1], SPH_AGGR_AVG, &yyvsp[-3], &yyvsp[0] ); }
#line 3912 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 211: /* select_expr: TOK_MAX '(' expr ')'  */
#line 583 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { pParser->AddItem ( &yyvsp[-1], SPH_AGGR_MAX, &yyvsp[-3], &yyvsp[0] ); }
#line 3918 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 212: /* select_expr: TOK_MIN '(' expr ')'  */
#line 584 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { pParser->AddItem ( &yyvsp[-1], SPH_AGGR_MIN, &yyvsp[-3], &yyvsp[0] ); }
#line 3924 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 213: /* select_expr: TOK_SUM '(' expr ')'  */
#line 585 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { pParser->AddItem ( &yyvsp[-1], SPH_AGGR_SUM, &yyvsp[-3], &yyvsp[0] ); }
#line 3930 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 214: /* select_expr: TOK_GROUP_CONCAT '(' expr ')'  */
#line 586 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->AddItem ( &yyvsp[-1], SPH_AGGR_CAT, &yyvsp[-3], &yyvsp[0] ); }
#line 3936 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 215: /* select_expr: TOK_COUNT '(' '*' ')'  */
#line 587 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { if ( !pParser->AddItem ( "count(*)", &yyvsp[-3], &yyvsp[0] ) ) YYERROR; }
#line 3942 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 216: /* select_expr: TOK_GROUPBY '(' ')'  */
#line 588 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { if ( !pParser->AddItem ( "groupby()", &yyvsp[-2], &yyvsp[0] ) ) YYERROR; }
#line 3948 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 217: /* select_expr: TOK_COUNT '(' TOK_DISTINCT identcol ')'  */
#line 589 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { if ( !pParser->AddDistinct ( &yyvsp[-1], &yyvsp[-4], &yyvsp[0] ) ) YYERROR; }
#line 3954 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 225: /* where_expr: filter_expr TOK_AND where_item TOK_AND filter_expr  */
#line 606 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                { pParser->FilterAnd ( yyval, yyvsp[-4], yyvsp[0] ); }
#line 3960 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 226: /* where_item: TOK_MATCH '(' "string" ')'  */
#line 611 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->SetMatch(yyvsp[-1]) )
				YYERROR;
		}
#line 3969 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 227: /* where_item: '(' TOK_MATCH '(' "string" ')' ')'  */
#line 616 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->SetMatch(yyvsp[-2]) )
				YYERROR;
		}
#line 3978 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 228: /* filter_expr: filter_item  */
#line 623 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                        { pParser->SetOp ( yyval ); }
#line 3984 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 229: /* filter_expr: filter_expr TOK_AND filter_expr  */
#line 624 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->FilterAnd ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 3990 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 230: /* filter_expr: filter_expr TOK_OR filter_expr  */
#line 625 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->FilterOr ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 3996 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 231: /* filter_expr: '(' filter_expr ')'  */
#line 626 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { pParser->FilterGroup ( yyval, yyvsp[-1] ); }
#line 4002 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 232: /* filter_item: expr_ident '=' bool_or_integer_value  */
#line 633 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * pFilter = pParser->AddValuesFilter ( yyvsp[-2] );
			if ( !pFilter )
				YYERROR;
			pFilter->m_dValues.Add ( yyvsp[0].m_iValue );
		}
#line 4013 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 233: /* filter_item: expr_ident "!=" bool_or_integer_value  */
#line 640 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * pFilter = pParser->AddValuesFilter ( yyvsp[-2] );
			if ( !pFilter )
				YYERROR;
			pFilter->m_dValues.Add ( yyvsp[0].m_iValue );
			pFilter->m_bExclude = true;
		}
#line 4025 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 234: /* filter_item: expr_ident TOK_IN '(' const_list ')'  */
#line 648 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * pFilter = pParser->AddValuesFilter ( yyvsp[-4] );
			if ( !pFilter )
				YYERROR;
			pFilter->m_dValues = *yyvsp[-1].m_pValues;
			pFilter->m_dValues.Uniq();
		}
#line 4037 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 235: /* filter_item: expr_ident TOK_NOT TOK_IN '(' const_list ')'  */
#line 656 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * pFilter = pParser->AddValuesFilter ( yyvsp[-5] );
			if ( !pFilter )
				YYERROR;
			pFilter->m_dValues = *yyvsp[-1].m_pValues;
			pFilter->m_dValues.Uniq();
			pFilter->m_bExclude = true;
		}
#line 4050 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 236: /* filter_item: expr_ident TOK_IN '(' string_list ')'  */
#line 665 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringListFilter ( yyvsp[-4], yyvsp[-1], StrList_e::STR_IN ) )
				YYERROR;
		}
#line 4059 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 237: /* filter_item: expr_ident TOK_NOT TOK_IN '(' string_list ')'  */
#line 670 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringListFilter ( yyvsp[-5], yyvsp[-1], StrList_e::STR_IN, true ) )
				YYERROR;
		}
#line 4068 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 238: /* filter_item: expr_ident TOK_ANY '(' string_list ')'  */
#line 675 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringListFilter ( yyvsp[-4], yyvsp[-1], StrList_e::STR_ANY ) )
				YYERROR;
		}
#line 4077 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 239: /* filter_item: expr_ident TOK_NOT TOK_ANY '(' string_list ')'  */
#line 680 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringListFilter ( yyvsp[-5], yyvsp[-1], StrList_e::STR_ANY, true ) )
				YYERROR;
		}
#line 4086 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 240: /* filter_item: expr_ident TOK_ALL '(' string_list ')'  */
#line 685 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringListFilter ( yyvsp[-4], yyvsp[-1], StrList_e::STR_ALL ) )
				YYERROR;
		}
#line 4095 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 241: /* filter_item: expr_ident TOK_NOT TOK_ALL '(' string_list ')'  */
#line 690 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringListFilter ( yyvsp[-5], yyvsp[-1], StrList_e::STR_ALL, true ) )
				YYERROR;
		}
#line 4104 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 242: /* filter_item: expr_ident TOK_IN "@uservar"  */
#line 695 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddUservarFilter ( yyvsp[-2], yyvsp[0], false ) )
				YYERROR;
		}
#line 4113 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 243: /* filter_item: expr_ident TOK_NOT TOK_IN "@uservar"  */
#line 700 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddUservarFilter ( yyvsp[-3], yyvsp[0], true ) )
				YYERROR;
		}
#line 4122 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 244: /* filter_item: expr_ident TOK_BETWEEN const_int TOK_AND const_int  */
#line 705 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddIntRangeFilter ( yyvsp[-4], yyvsp[-2].m_iValue, yyvsp[0].m_iValue, false ) )
				YYERROR;
		}
#line 4131 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 245: /* filter_item: expr_ident TOK_NOT TOK_BETWEEN const_int TOK_AND const_int  */
#line 710 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddIntRangeFilter ( yyvsp[-5], yyvsp[-2].m_iValue, yyvsp[0].m_iValue, true ) )
				YYERROR;
		}
#line 4140 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 246: /* filter_item: expr_ident '>' const_int  */
#line 715 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddIntFilterGreater ( yyvsp[-2], yyvsp[0].m_iValue, false ) )
				YYERROR;
		}
#line 4149 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 247: /* filter_item: expr_ident '<' const_int  */
#line 720 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddIntFilterLesser ( yyvsp[-2], yyvsp[0].m_iValue, false ) )
				YYERROR;
		}
#line 4158 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 248: /* filter_item: expr_ident ">=" const_int  */
#line 725 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddIntFilterGreater ( yyvsp[-2], yyvsp[0].m_iValue, true ) )
				YYERROR;
		}
#line 4167 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 249: /* filter_item: expr_ident "<=" const_int  */
#line 730 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddIntFilterLesser ( yyvsp[-2], yyvsp[0].m_iValue, true ) )
				YYERROR;
		}
#line 4176 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 250: /* filter_item: expr_ident '=' const_float  */
#line 735 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatRangeFilter ( yyvsp[-2], yyvsp[0].m_fValue, yyvsp[0].m_fValue, true ) )
				YYERROR;
		}
#line 4185 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 251: /* filter_item: expr_ident "!=" const_float  */
#line 740 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatRangeFilter ( yyvsp[-2], yyvsp[0].m_fValue, yyvsp[0].m_fValue, true, true ) )
				YYERROR;
		}
#line 4194 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 252: /* filter_item: expr_ident TOK_BETWEEN const_float TOK_AND const_float  */
#line 745 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatRangeFilter ( yyvsp[-4], yyvsp[-2].m_fValue, yyvsp[0].m_fValue, true ) )
				YYERROR;
		}
#line 4203 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 253: /* filter_item: expr_ident TOK_BETWEEN const_int TOK_AND const_float  */
#line 750 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatRangeFilter ( yyvsp[-4], yyvsp[-2].m_iValue, yyvsp[0].m_fValue, true ) )
				YYERROR;
		}
#line 4212 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 254: /* filter_item: expr_ident TOK_BETWEEN const_float TOK_AND const_int  */
#line 755 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatRangeFilter ( yyvsp[-4], yyvsp[-2].m_fValue, yyvsp[0].m_iValue, true ) )
				YYERROR;
		}
#line 4221 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 255: /* filter_item: expr_ident '>' const_float  */
#line 760 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatFilterGreater ( yyvsp[-2], yyvsp[0].m_fValue, false ) )
				YYERROR;
		}
#line 4230 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 256: /* filter_item: expr_ident '<' const_float  */
#line 765 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatFilterLesser ( yyvsp[-2], yyvsp[0].m_fValue, false ) )
				YYERROR;
		}
#line 4239 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 257: /* filter_item: expr_ident ">=" const_float  */
#line 770 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatFilterGreater ( yyvsp[-2], yyvsp[0].m_fValue, true ) )
				YYERROR;
		}
#line 4248 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 258: /* filter_item: expr_ident "<=" const_float  */
#line 775 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddFloatFilterLesser ( yyvsp[-2], yyvsp[0].m_fValue, true ) )
				YYERROR;
		}
#line 4257 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 259: /* filter_item: expr_ident '=' "string"  */
#line 780 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringFilter ( yyvsp[-2], yyvsp[0], false ) )
				YYERROR;
		}
#line 4266 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 260: /* filter_item: expr_ident "!=" "string"  */
#line 785 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddStringFilter ( yyvsp[-2], yyvsp[0], true ) )
				YYERROR;
		}
#line 4275 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 261: /* filter_item: expr_ident TOK_IS TOK_NULL  */
#line 790 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddNullFilter ( yyvsp[-2], true ) )
				YYERROR;
		}
#line 4284 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 262: /* filter_item: expr_ident TOK_IS TOK_NOT TOK_NULL  */
#line 795 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddNullFilter ( yyvsp[-3], false ) )
				YYERROR;
		}
#line 4293 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 263: /* filter_item: const_int '=' const_int  */
#line 800 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * pFilter = pParser->AddValuesFilter ( yyvsp[-2] );
			if ( !pFilter )
				YYERROR;
			pFilter->m_dValues.Add ( yyvsp[0].m_iValue );
		}
#line 4304 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 264: /* filter_item: const_int "!=" const_int  */
#line 807 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * pFilter = pParser->AddValuesFilter ( yyvsp[-2] );
			if ( !pFilter )
				YYERROR;
			pFilter->m_dValues.Add ( yyvsp[0].m_iValue );
			pFilter->m_bExclude = true;
		}
#line 4316 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 265: /* filter_item: mva_aggr '=' const_int  */
#line 817 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * f = pParser->AddFilter ( yyvsp[-2], SPH_FILTER_VALUES );
			f->m_eMvaFunc = ( yyvsp[-2].m_iType==TOK_ALL ) ? SPH_MVAFUNC_ALL : SPH_MVAFUNC_ANY;
			f->m_dValues.Add ( yyvsp[0].m_iValue );
		}
#line 4326 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 266: /* filter_item: mva_aggr "!=" const_int  */
#line 823 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// tricky bit
			// any(tags!=val) is not equivalent to not(any(tags==val))
			// any(tags!=val) is instead equivalent to not(all(tags)==val)
			// thus, along with setting the exclude flag on, we also need to invert the function
			CSphFilterSettings * f = pParser->AddFilter ( yyvsp[-2], SPH_FILTER_VALUES );
			f->m_eMvaFunc = ( yyvsp[-2].m_iType==TOK_ALL ) ? SPH_MVAFUNC_ANY : SPH_MVAFUNC_ALL;
			f->m_bExclude = true;
			f->m_dValues.Add ( yyvsp[0].m_iValue );
		}
#line 4341 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 267: /* filter_item: mva_aggr TOK_IN '(' const_list ')'  */
#line 834 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			CSphFilterSettings * f = pParser->AddFilter ( yyvsp[-4], SPH_FILTER_VALUES );
			f->m_eMvaFunc = ( yyvsp[-4].m_iType==TOK_ALL ) ? SPH_MVAFUNC_ALL : SPH_MVAFUNC_ANY;
			f->m_dValues = *yyvsp[-1].m_pValues;
			f->m_dValues.Uniq();
		}
#line 4352 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 268: /* filter_item: mva_aggr TOK_NOT TOK_IN '(' const_list ')'  */
#line 841 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// tricky bit with inversion again
			CSphFilterSettings * f = pParser->AddFilter ( yyvsp[-5], SPH_FILTER_VALUES );
			f->m_eMvaFunc = ( yyvsp[-5].m_iType==TOK_ALL ) ? SPH_MVAFUNC_ANY : SPH_MVAFUNC_ALL;
			f->m_bExclude = true;
			f->m_dValues = *yyvsp[-1].m_pValues;
			f->m_dValues.Uniq();
		}
#line 4365 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 269: /* filter_item: mva_aggr TOK_BETWEEN const_int TOK_AND const_int  */
#line 850 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			AddMvaRange ( pParser, yyvsp[-4], yyvsp[-2].m_iValue, yyvsp[0].m_iValue );
		}
#line 4373 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 270: /* filter_item: mva_aggr TOK_NOT TOK_BETWEEN const_int TOK_AND const_int  */
#line 854 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// tricky bit with inversion again
			CSphFilterSettings * f = pParser->AddFilter ( yyvsp[-5], SPH_FILTER_RANGE );
			f->m_eMvaFunc = ( yyvsp[-5].m_iType==TOK_ALL ) ? SPH_MVAFUNC_ANY : SPH_MVAFUNC_ALL;
			f->m_bExclude = true;
			f->m_iMinValue = yyvsp[-2].m_iValue;
			f->m_iMaxValue = yyvsp[0].m_iValue;
		}
#line 4386 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 271: /* filter_item: mva_aggr '<' const_int  */
#line 863 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			AddMvaRange ( pParser, yyvsp[-2], INT64_MIN, yyvsp[0].m_iValue-1 );
		}
#line 4394 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 272: /* filter_item: mva_aggr '>' const_int  */
#line 867 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			AddMvaRange ( pParser, yyvsp[-2], yyvsp[0].m_iValue+1, INT64_MAX );
		}
#line 4402 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 273: /* filter_item: mva_aggr "<=" const_int  */
#line 871 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			AddMvaRange ( pParser, yyvsp[-2], INT64_MIN, yyvsp[0].m_iValue );
		}
#line 4410 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 274: /* filter_item: mva_aggr ">=" const_int  */
#line 875 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			AddMvaRange ( pParser, yyvsp[-2], yyvsp[0].m_iValue, INT64_MAX );
		}
#line 4418 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 275: /* filter_item: TOK_REGEX '(' json_field ',' "string" ')'  */
#line 879 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			TRACK_BOUNDS ( yyval, yyvsp[-5], yyvsp[0] );
			CSphFilterSettings * pFilter = pParser->AddFilter ( yyval, SPH_FILTER_EXPRESSION );
			if ( !pFilter )
				YYERROR;
		}
#line 4429 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 277: /* expr_ident: TOK_ATIDENT  */
#line 890 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->SetOldSyntax() )
				YYERROR;
		}
#line 4438 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 278: /* expr_ident: TOK_COUNT '(' '*' ')'  */
#line 895 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_iType = SPHINXQL_TOK_COUNT;
			if ( !pParser->SetNewSyntax() )
				YYERROR;
		}
#line 4448 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 279: /* expr_ident: TOK_GROUPBY '(' ')'  */
#line 901 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_iType = SPHINXQL_TOK_GROUPBY;
			if ( !pParser->SetNewSyntax() )
				YYERROR;
		}
#line 4458 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 280: /* expr_ident: TOK_WEIGHT '(' ')'  */
#line 907 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_iType = SPHINXQL_TOK_WEIGHT;
			if ( !pParser->SetNewSyntax() )
				YYERROR;
		}
#line 4468 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 282: /* expr_ident: TOK_INTEGER '(' json_expr ')'  */
#line 913 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4474 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 283: /* expr_ident: TOK_DOUBLE '(' json_expr ')'  */
#line 914 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4480 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 284: /* expr_ident: TOK_BIGINT '(' json_expr ')'  */
#line 915 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4486 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 286: /* mva_aggr: TOK_ANY '(' identcol ')'  */
#line 920 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval = yyvsp[-1]; yyval.m_iType = TOK_ANY; }
#line 4492 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 287: /* mva_aggr: TOK_ALL '(' identcol ')'  */
#line 921 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval = yyvsp[-1]; yyval.m_iType = TOK_ALL; }
#line 4498 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 288: /* const_int: "integer"  */
#line 926 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_iType = TOK_CONST_INT;
			if ( (uint64_t)yyvsp[0].m_iValue > (uint64_t)LLONG_MAX )
				yyval.m_iValue = LLONG_MAX;
			else
				yyval.m_iValue = yyvsp[0].m_iValue;
		}
#line 4510 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 289: /* const_int: '-' "integer"  */
#line 934 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_iType = TOK_CONST_INT;
			if ( (uint64_t)yyvsp[0].m_iValue > (uint64_t)LLONG_MAX )
				yyval.m_iValue = LLONG_MIN;
			else
				yyval.m_iValue = -yyvsp[0].m_iValue;
		}
#line 4522 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 290: /* const_float: const_float_unsigned  */
#line 944 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iType = TOK_CONST_FLOAT; yyval.m_fValue = yyvsp[0].m_fValue; }
#line 4528 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 291: /* const_float: '-' const_float_unsigned  */
#line 945 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iType = TOK_CONST_FLOAT; yyval.m_fValue = -yyvsp[0].m_fValue; }
#line 4534 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 292: /* const_float_unsigned: "float"  */
#line 952 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_fValue = yyvsp[0].m_fValue; }
#line 4540 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 293: /* const_float_unsigned: ".number"  */
#line 953 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_fValue = pParser->ToFloat (yyvsp[0]); }
#line 4546 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 294: /* const_list: const_int  */
#line 958 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			assert ( !yyval.m_pValues );
			yyval.m_pValues = new RefcountedVector_c<SphAttr_t> ();
			yyval.m_pValues->Add ( yyvsp[0].m_iValue ); 
		}
#line 4556 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 295: /* const_list: const_list ',' const_int  */
#line 964 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_pValues->Add ( yyvsp[0].m_iValue );
		}
#line 4564 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 296: /* string_list: "string"  */
#line 971 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			assert ( !yyval.m_pValues );
			yyval.m_pValues = new RefcountedVector_c<SphAttr_t> ();
			yyval.m_pValues->Add ( yyvsp[0].m_iValue );
		}
#line 4574 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 297: /* string_list: string_list ',' "string"  */
#line 977 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_pValues->Add ( yyvsp[0].m_iValue );
		}
#line 4582 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 301: /* opt_int: "integer"  */
#line 990 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetGroupbyLimit ( yyvsp[0].m_iValue );
		}
#line 4590 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 302: /* group_items_list: expr_ident  */
#line 997 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddGroupBy ( yyvsp[0] );
		}
#line 4598 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 303: /* group_items_list: group_items_list ',' expr_ident  */
#line 1001 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddGroupBy ( yyvsp[0] );
		}
#line 4606 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 305: /* opt_having_clause: TOK_HAVING filter_item  */
#line 1009 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddHaving();
		}
#line 4614 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 308: /* group_order_clause: TOK_WITHIN TOK_GROUP TOK_ORDER TOK_BY order_items_list  */
#line 1021 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( pParser->m_pQuery->m_sGroupBy.IsEmpty() )
			{
				yyerror ( pParser, "you must specify GROUP BY element in order to use WITHIN GROUP ORDER BY clause" );
				YYERROR;
			}
			pParser->ToString ( pParser->m_pQuery->m_sSortBy, yyvsp[0] );
		}
#line 4627 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 311: /* order_clause: TOK_ORDER TOK_BY order_items_list  */
#line 1038 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString ( pParser->m_pQuery->m_sOrderBy, yyvsp[0] );
		}
#line 4635 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 312: /* order_clause: TOK_ORDER TOK_BY TOK_RAND '(' ')'  */
#line 1042 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pQuery->m_sOrderBy = "@random";
		}
#line 4643 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 314: /* order_items_list: order_items_list ',' order_item  */
#line 1049 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4649 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 316: /* order_item: expr_ident TOK_ASC  */
#line 1054 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { TRACK_BOUNDS ( yyval, yyvsp[-1], yyvsp[0] ); }
#line 4655 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 317: /* order_item: expr_ident TOK_DESC  */
#line 1055 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { TRACK_BOUNDS ( yyval, yyvsp[-1], yyvsp[0] ); }
#line 4661 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 320: /* limit_clause: TOK_LIMIT "integer"  */
#line 1065 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetLimit ( 0, yyvsp[0].m_iValue );
		}
#line 4669 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 321: /* limit_clause: TOK_LIMIT "integer" ',' "integer"  */
#line 1069 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetLimit ( yyvsp[-2].m_iValue, yyvsp[0].m_iValue );
		}
#line 4677 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 322: /* limit_clause: TOK_LIMIT "integer" TOK_OFFSET "integer"  */
#line 1073 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetLimit ( yyvsp[0].m_iValue, yyvsp[-2].m_iValue );
		}
#line 4685 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 328: /* option_item: ident_no_option '=' identcol  */
#line 1094 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddOption ( yyvsp[-2], yyvsp[0] ) )
				YYERROR;
		}
#line 4694 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 329: /* option_item: ident_no_option '=' "integer"  */
#line 1099 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddOption ( yyvsp[-2], yyvsp[0] ) )
				YYERROR;
		}
#line 4703 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 330: /* option_item: ident_no_option '=' '(' named_const_list ')'  */
#line 1104 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddOption ( yyvsp[-4], pParser->GetNamedVec ( yyvsp[-1].m_iValue ) ) )
				YYERROR;
			pParser->FreeNamedVec ( yyvsp[-1].m_iValue );
		}
#line 4713 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 331: /* option_item: ident_no_option '=' identcol '(' "string" ')'  */
#line 1110 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddOption ( yyvsp[-5], yyvsp[-3], yyvsp[-1] ) )
				YYERROR;
		}
#line 4722 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 332: /* option_item: ident_no_option '=' "string"  */
#line 1115 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			if ( !pParser->AddOption ( yyvsp[-2], yyvsp[0] ) )
				YYERROR;
		}
#line 4731 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 333: /* named_const_list: named_const  */
#line 1123 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_iValue = pParser->AllocNamedVec ();
			pParser->AddConst ( yyval.m_iValue, yyvsp[0] );
		}
#line 4740 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 334: /* named_const_list: named_const_list ',' named_const  */
#line 1128 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddConst( yyval.m_iValue, yyvsp[0] );
		}
#line 4748 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 335: /* named_const: identcol '=' const_int  */
#line 1135 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval = yyvsp[-2];
			yyval.m_iValue = yyvsp[0].m_iValue;
		}
#line 4757 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 341: /* identidx_list: identidx_list ',' ident  */
#line 1152 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4763 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 342: /* hint_item: TOK_FORCE TOK_INDEX '(' identidx_list ')'  */
#line 1157 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddIndexHint ( INDEX_HINT_FORCE, yyvsp[-1] );
		}
#line 4771 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 343: /* hint_item: TOK_USE TOK_INDEX '(' identidx_list ')'  */
#line 1161 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddIndexHint ( INDEX_HINT_USE, yyvsp[-1] );
		}
#line 4779 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 344: /* hint_item: TOK_IGNORE TOK_INDEX '(' identidx_list ')'  */
#line 1165 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddIndexHint ( INDEX_HINT_IGNORE, yyvsp[-1] );
		}
#line 4787 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 346: /* expr: TOK_ATIDENT  */
#line 1175 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { if ( !pParser->SetOldSyntax() ) YYERROR; }
#line 4793 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 351: /* expr: '-' expr  */
#line 1180 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-1], yyvsp[0] ); }
#line 4799 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 352: /* expr: TOK_NOT expr  */
#line 1181 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-1], yyvsp[0] ); }
#line 4805 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 353: /* expr: expr '+' expr  */
#line 1183 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4811 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 354: /* expr: expr '-' expr  */
#line 1184 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4817 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 355: /* expr: expr '*' expr  */
#line 1185 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4823 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 356: /* expr: expr '/' expr  */
#line 1186 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4829 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 357: /* expr: expr '<' expr  */
#line 1187 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4835 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 358: /* expr: expr '>' expr  */
#line 1188 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4841 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 359: /* expr: expr '&' expr  */
#line 1189 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4847 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 360: /* expr: expr '|' expr  */
#line 1190 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4853 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 361: /* expr: expr '%' expr  */
#line 1191 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4859 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 362: /* expr: expr TOK_DIV expr  */
#line 1192 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4865 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 363: /* expr: expr TOK_MOD expr  */
#line 1193 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4871 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 364: /* expr: expr "<=" expr  */
#line 1194 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4877 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 365: /* expr: expr ">=" expr  */
#line 1195 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4883 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 366: /* expr: expr '=' expr  */
#line 1196 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4889 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 367: /* expr: expr "!=" expr  */
#line 1197 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4895 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 368: /* expr: expr TOK_AND expr  */
#line 1198 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4901 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 369: /* expr: expr TOK_OR expr  */
#line 1199 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4907 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 370: /* expr: '(' expr ')'  */
#line 1200 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4913 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 371: /* expr: '{' consthash '}'  */
#line 1201 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4919 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 375: /* expr: json_field TOK_IS TOK_NULL  */
#line 1205 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4925 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 376: /* expr: json_field TOK_IS TOK_NOT TOK_NULL  */
#line 1206 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4931 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 377: /* function: "identifier" '(' arglist ')'  */
#line 1210 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4937 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 378: /* function: TOK_IN '(' arglist ')'  */
#line 1211 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4943 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 379: /* function: json_field TOK_IN '(' arglist ')'  */
#line 1212 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                            { TRACK_BOUNDS ( yyval, yyvsp[-4], yyvsp[0] ); }
#line 4949 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 380: /* function: TOK_INTEGER '(' arglist ')'  */
#line 1213 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4955 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 381: /* function: TOK_BIGINT '(' arglist ')'  */
#line 1214 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4961 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 382: /* function: TOK_FLOAT '(' arglist ')'  */
#line 1215 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4967 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 383: /* function: TOK_DOUBLE '(' arglist ')'  */
#line 1216 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 4973 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 384: /* function: "identifier" '(' ')'  */
#line 1217 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4979 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 385: /* function: TOK_MIN '(' expr ',' expr ')'  */
#line 1218 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-5], yyvsp[0] ); }
#line 4985 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 386: /* function: TOK_MAX '(' expr ',' expr ')'  */
#line 1219 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { TRACK_BOUNDS ( yyval, yyvsp[-5], yyvsp[0] ); }
#line 4991 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 387: /* function: TOK_WEIGHT '(' ')'  */
#line 1220 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 4997 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 388: /* function: json_aggr '(' expr TOK_FOR identcol TOK_IN json_field ')'  */
#line 1221 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                    { TRACK_BOUNDS ( yyval, yyvsp[-7], yyvsp[0] ); }
#line 5003 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 389: /* function: TOK_REMAP '(' expr ',' expr ',' '(' arglist ')' ',' '(' arglist ')' ')'  */
#line 1222 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                                  { TRACK_BOUNDS ( yyval, yyvsp[-13], yyvsp[0] ); }
#line 5009 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 390: /* function: TOK_RAND '(' ')'  */
#line 1223 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 5015 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 391: /* function: TOK_RAND '(' arglist ')'  */
#line 1224 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 5021 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 392: /* function: TOK_REGEX '(' arglist ')'  */
#line 1225 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-3], yyvsp[0] ); }
#line 5027 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 401: /* consthash: hash_key '=' hash_val  */
#line 1246 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 5033 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 402: /* consthash: consthash ',' hash_key '=' hash_val  */
#line 1247 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-4], yyvsp[0] ); }
#line 5039 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 411: /* like_filter: TOK_LIKE "string"  */
#line 1270 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_sStringParam = pParser->ToStringUnescape (yyvsp[0] ); }
#line 5045 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 412: /* show_what: TOK_WARNINGS  */
#line 1274 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_WARNINGS; }
#line 5051 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 413: /* show_what: TOK_STATUS like_filter  */
#line 1275 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_STATUS; }
#line 5057 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 414: /* show_what: TOK_META like_filter  */
#line 1276 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_META; }
#line 5063 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 415: /* show_what: TOK_AGENT TOK_STATUS like_filter  */
#line 1277 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_AGENT_STATUS; }
#line 5069 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 416: /* show_what: TOK_PROFILE  */
#line 1278 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_PROFILE; }
#line 5075 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 417: /* show_what: TOK_PLAN  */
#line 1279 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_PLAN; }
#line 5081 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 418: /* show_what: TOK_PLUGINS  */
#line 1280 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_PLUGINS; }
#line 5087 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 419: /* show_what: TOK_THREADS  */
#line 1281 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->m_pStmt->m_eStmt = STMT_SHOW_THREADS; }
#line 5093 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 420: /* show_what: TOK_CREATE TOK_TABLE identidx  */
#line 1283 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_CREATE_TABLE;
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[0] );
		}
#line 5102 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 421: /* show_what: TOK_AGENT "string" TOK_STATUS like_filter  */
#line 1288 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_AGENT_STATUS;
			pParser->m_pStmt->m_sIndex = pParser->ToStringUnescape ( yyvsp[-2] );
		}
#line 5111 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 422: /* show_what: TOK_AGENT only_one_index TOK_STATUS like_filter  */
#line 1293 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_AGENT_STATUS;
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-2] );
		}
#line 5120 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 423: /* show_what: index_or_table one_index_opt_chunk TOK_STATUS like_filter  */
#line 1298 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_INDEX_STATUS;
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-2] );
		}
#line 5129 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 424: /* show_what: index_or_table one_index_opt_chunk TOK_SETTINGS  */
#line 1303 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_INDEX_SETTINGS;
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-1] );
		}
#line 5138 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 425: /* show_what: index_or_table TOK_STATUS like_filter  */
#line 1308 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_INDEX_STATUS;
			pParser->m_pStmt->m_sIndex = pParser->m_pStmt->m_sStringParam;
		}
#line 5147 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 426: /* show_what: TOK_COLLATION  */
#line 1313 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
       		pParser->m_pStmt->m_eStmt = STMT_SHOW_COLLATION;
		}
#line 5155 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 427: /* show_what: TOK_CHARACTER TOK_SET  */
#line 1317 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_CHARACTER_SET;
		}
#line 5163 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 428: /* show_what: TOK_TABLES like_filter  */
#line 1321 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_TABLES;
		}
#line 5171 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 429: /* show_what: TOK_DATABASES like_filter  */
#line 1325 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SHOW_DATABASES;
		}
#line 5179 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 430: /* show_what: opt_scope TOK_VARIABLES opt_show_variables_where_or_like  */
#line 1329 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
      		pParser->m_pStmt->m_eStmt = STMT_SHOW_VARIABLES;
		}
#line 5187 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 433: /* set_stmt: TOK_SET ident_set '=' bool_or_integer_value  */
#line 1343 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-2], SET_LOCAL );
			pParser->m_pStmt->m_iSetValue = yyvsp[0].m_iValue;
		}
#line 5196 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 434: /* set_stmt: TOK_SET ident_set '=' set_string_value  */
#line 1348 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-2], SET_LOCAL );
			pParser->ToString ( pParser->m_pStmt->m_sSetValue, yyvsp[0] );
		}
#line 5205 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 435: /* set_stmt: TOK_SET ident_set '=' TOK_NULL  */
#line 1353 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-2], SET_LOCAL );
//			pParser->m_pStmt->m_bSetNull = true;
		}
#line 5214 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 436: /* set_stmt: TOK_SET TOK_NAMES set_value opt_collate  */
#line 1357 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                  { pParser->m_pStmt->m_eStmt = STMT_DUMMY; }
#line 5220 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 437: /* set_stmt: TOK_SET sysvar '=' set_value  */
#line 1358 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { pParser->m_pStmt->m_eStmt = STMT_DUMMY; }
#line 5226 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 438: /* set_stmt: TOK_SET TOK_CHARACTER TOK_SET set_value  */
#line 1359 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                  { pParser->m_pStmt->m_eStmt = STMT_DUMMY; }
#line 5232 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 441: /* set_global_stmt: TOK_SET TOK_GLOBAL "@uservar" '=' '(' const_list ')'  */
#line 1369 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-4], SET_GLOBAL_UVAR );
			pParser->m_pStmt->m_dSetValues = *yyvsp[-1].m_pValues;
		}
#line 5241 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 442: /* set_global_stmt: TOK_SET TOK_GLOBAL ident_set '=' set_string_value  */
#line 1374 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-2], SET_GLOBAL_SVAR );
			pParser->ToString ( pParser->m_pStmt->m_sSetValue, yyvsp[0] ).Unquote();
		}
#line 5250 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 443: /* set_global_stmt: TOK_SET TOK_GLOBAL ident_set '=' const_int  */
#line 1379 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-2], SET_GLOBAL_SVAR );
			pParser->m_pStmt->m_iSetValue = yyvsp[0].m_iValue;
		}
#line 5259 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 444: /* set_global_stmt: TOK_SET TOK_INDEX identidx TOK_GLOBAL "@uservar" '=' '(' const_list ')'  */
#line 1384 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-4], SET_INDEX_UVAR );
			pParser->m_pStmt->m_dSetValues = *yyvsp[-1].m_pValues;
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-6] );
		}
#line 5269 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 445: /* set_global_stmt: TOK_SET TOK_CLUSTER ident TOK_GLOBAL "string" '=' set_string_value  */
#line 1390 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-2], SET_CLUSTER_UVAR );
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-4] );
			pParser->ToString ( pParser->m_pStmt->m_sSetName, yyvsp[-2] ).Unquote();
			pParser->ToString ( pParser->m_pStmt->m_sSetValue, yyvsp[0] ).Unquote();
		}
#line 5280 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 446: /* set_global_stmt: TOK_SET TOK_CLUSTER ident TOK_GLOBAL "string" '=' const_int  */
#line 1397 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->SetStatement ( yyvsp[-2], SET_CLUSTER_UVAR );
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-4] );
			pParser->ToString ( pParser->m_pStmt->m_sSetName, yyvsp[-2] ).Unquote();
			pParser->m_pStmt->m_sSetValue.SetSprintf ( INT64_FMT, yyvsp[0].m_iValue );
		}
#line 5291 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 449: /* bool_or_integer_value: TOK_TRUE  */
#line 1411 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iValue = 1; }
#line 5297 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 450: /* bool_or_integer_value: TOK_FALSE  */
#line 1412 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iValue = 0; }
#line 5303 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 451: /* bool_or_integer_value: const_int  */
#line 1413 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iValue = yyvsp[0].m_iValue; }
#line 5309 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 459: /* transact_op: TOK_COMMIT  */
#line 1433 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { pParser->m_pStmt->m_eStmt = STMT_COMMIT; }
#line 5315 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 460: /* transact_op: TOK_ROLLBACK  */
#line 1434 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { pParser->m_pStmt->m_eStmt = STMT_ROLLBACK; }
#line 5321 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 461: /* transact_op: start_transaction  */
#line 1435 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { pParser->m_pStmt->m_eStmt = STMT_BEGIN; }
#line 5327 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 465: /* insert_or_replace: TOK_INSERT  */
#line 1450 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                { pParser->m_pStmt->m_eStmt = STMT_INSERT; }
#line 5333 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 466: /* insert_or_replace: TOK_REPLACE  */
#line 1451 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                        { pParser->m_pStmt->m_eStmt = STMT_REPLACE; }
#line 5339 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 470: /* column_list: column_ident  */
#line 1464 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                        { if ( !pParser->AddSchemaItem ( &yyvsp[0] ) ) { yyerror ( pParser, "unknown field" ); YYERROR; } }
#line 5345 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 471: /* column_list: column_list ',' column_ident  */
#line 1465 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { if ( !pParser->AddSchemaItem ( &yyvsp[0] ) ) { yyerror ( pParser, "unknown field" ); YYERROR; } }
#line 5351 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 474: /* insert_row: '(' insert_vals_list ')'  */
#line 1474 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { if ( !pParser->m_pStmt->CheckInsertIntegrity() ) { yyerror ( pParser, "wrong number of values here" ); YYERROR; } }
#line 5357 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 475: /* insert_vals_list: insert_val  */
#line 1478 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->AddInsval ( pParser->m_pStmt->m_dInsertValues, yyvsp[0] ); }
#line 5363 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 476: /* insert_vals_list: insert_vals_list ',' insert_val  */
#line 1479 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { pParser->AddInsval ( pParser->m_pStmt->m_dInsertValues, yyvsp[0] ); }
#line 5369 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 477: /* insert_val: const_int  */
#line 1483 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iType = TOK_CONST_INT; yyval.m_iValue = yyvsp[0].m_iValue; }
#line 5375 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 478: /* insert_val: const_float  */
#line 1484 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iType = TOK_CONST_FLOAT; yyval.m_fValue = yyvsp[0].m_fValue; }
#line 5381 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 479: /* insert_val: "string"  */
#line 1485 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iType = TOK_QUOTED_STRING; yyval.m_iStart = yyvsp[0].m_iStart; yyval.m_iEnd = yyvsp[0].m_iEnd; }
#line 5387 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 480: /* insert_val: '(' const_list ')'  */
#line 1486 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iType = TOK_CONST_MVA; yyval.m_pValues = yyvsp[-1].m_pValues; }
#line 5393 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 481: /* insert_val: '(' ')'  */
#line 1487 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                        { yyval.m_iType = TOK_CONST_MVA; }
#line 5399 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 482: /* $@2: %empty  */
#line 1493 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                   { pParser->m_pStmt->m_eStmt = STMT_DELETE; }
#line 5405 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 483: /* delete_from: TOK_DELETE $@2 TOK_FROM one_index_opt_chunk where_clause opt_option_clause  */
#line 1495 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                        {
				pParser->GenericStatement ( &yyvsp[-2] );
			}
#line 5413 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 484: /* call_proc: TOK_CALL ident '(' call_args_list opt_call_opts_list ')'  */
#line 1504 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_CALL;
			pParser->ToString ( pParser->m_pStmt->m_sCallProc, yyvsp[-4] );
		}
#line 5422 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 485: /* call_args_list: call_arg  */
#line 1512 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddInsval ( pParser->m_pStmt->m_dInsertValues, yyvsp[0] );
		}
#line 5430 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 486: /* call_args_list: call_args_list ',' call_arg  */
#line 1516 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddInsval ( pParser->m_pStmt->m_dInsertValues, yyvsp[0] );
		}
#line 5438 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 488: /* call_arg: '(' const_string_list ')'  */
#line 1524 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			yyval.m_iType = TOK_CONST_STRINGS;
		}
#line 5446 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 489: /* const_string_list: "string"  */
#line 1531 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// FIXME? for now, one such array per CALL statement, tops
			if ( pParser->m_pStmt->m_dCallStrings.GetLength() )
			{
				yyerror ( pParser, "unexpected constant string list" );
				YYERROR;
			}
			pParser->m_pStmt->m_dCallStrings.Add() = pParser->ToStringUnescape ( yyvsp[0] );
		}
#line 5460 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 490: /* const_string_list: const_string_list ',' "string"  */
#line 1541 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_dCallStrings.Add() = pParser->ToStringUnescape ( yyvsp[0] );
		}
#line 5468 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 493: /* call_opts_list: call_opt  */
#line 1553 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			assert ( pParser->m_pStmt->m_dCallOptNames.GetLength()==1 );
			assert ( pParser->m_pStmt->m_dCallOptValues.GetLength()==1 );
		}
#line 5477 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 495: /* call_opt: insert_val opt_as call_opt_name  */
#line 1562 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->ToString ( pParser->m_pStmt->m_dCallOptNames.Add(), yyvsp[0] );
			pParser->AddInsval ( pParser->m_pStmt->m_dCallOptValues, yyvsp[-2] );
		}
#line 5486 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 500: /* describe: describe_tok one_index_opt_subindex describe_opt like_filter  */
#line 1582 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_DESCRIBE;
		}
#line 5494 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 502: /* describe_opt: TOK_TABLE  */
#line 1590 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_iIntParam = TOK_TABLE; // just a flag that 'TOK_TABLE' is in use
		}
#line 5502 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 505: /* $@3: %empty  */
#line 1604 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                   { pParser->m_pStmt->m_eStmt = STMT_UPDATE; }
#line 5508 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 506: /* update: TOK_UPDATE $@3 one_index_opt_chunk TOK_SET update_items_list where_clause opt_option_clause opt_hint_clause  */
#line 1606 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                        {
				pParser->GenericStatement ( &yyvsp[-5] );
			}
#line 5516 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 509: /* update_item: identcol '=' const_int  */
#line 1618 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// it is performance-critical to forcibly inline this
			pParser->m_pStmt->AttrUpdate().m_dPool.Add ( (DWORD)yyvsp[0].m_iValue );
			DWORD uHi = (DWORD)( yyvsp[0].m_iValue>>32 );
			if ( uHi )
			{
				pParser->m_pStmt->AttrUpdate().m_dPool.Add ( uHi );
				pParser->AddUpdatedAttr ( yyvsp[-2], SPH_ATTR_BIGINT );
			} else
			{
				pParser->AddUpdatedAttr ( yyvsp[-2], SPH_ATTR_INTEGER );
			}
		}
#line 5534 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 510: /* update_item: identcol '=' const_float  */
#line 1632 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// it is performance-critical to forcibly inline this
			pParser->m_pStmt->AttrUpdate().m_dPool.Add ( sphF2DW ( yyvsp[0].m_fValue ) );
			pParser->AddUpdatedAttr ( yyvsp[-2], SPH_ATTR_FLOAT );
		}
#line 5544 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 511: /* update_item: identcol '=' '(' const_list ')'  */
#line 1638 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->UpdateMVAAttr ( yyvsp[-4], yyvsp[-1] );
		}
#line 5552 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 512: /* update_item: identcol '=' '(' ')'  */
#line 1642 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlNode_t tNoValues;
			pParser->UpdateMVAAttr ( yyvsp[-3], tNoValues );
		}
#line 5561 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 513: /* update_item: json_expr '=' const_int  */
#line 1647 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// it is performance-critical to forcibly inline this
			pParser->m_pStmt->AttrUpdate().m_dPool.Add ( (DWORD)yyvsp[0].m_iValue );
			DWORD uHi = (DWORD)( yyvsp[0].m_iValue>>32 );
			if ( uHi )
			{
				pParser->m_pStmt->AttrUpdate().m_dPool.Add ( uHi );
				pParser->AddUpdatedAttr ( yyvsp[-2], SPH_ATTR_BIGINT );
			} else
			{
				pParser->AddUpdatedAttr ( yyvsp[-2], SPH_ATTR_INTEGER );
			}
		}
#line 5579 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 514: /* update_item: json_expr '=' const_float  */
#line 1661 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			// it is performance-critical to forcibly inline this
			pParser->m_pStmt->AttrUpdate().m_dPool.Add ( sphF2DW ( yyvsp[0].m_fValue ) );
			pParser->AddUpdatedAttr ( yyvsp[-2], SPH_ATTR_FLOAT );
		}
#line 5589 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 515: /* update_item: identcol '=' "string"  */
#line 1667 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->UpdateStringAttr ( yyvsp[-2], yyvsp[0] );
		}
#line 5597 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 522: /* set_transaction: TOK_SET opt_scope TOK_TRANSACTION TOK_ISOLATION TOK_LEVEL isolation_level  */
#line 1694 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_DUMMY;
		}
#line 5605 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 524: /* opt_scope: TOK_GLOBAL  */
#line 1702 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_iIntParam = 0;
		}
#line 5613 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 525: /* opt_scope: TOK_SESSION  */
#line 1706 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
    		pParser->m_pStmt->m_iIntParam = 1;
    	}
#line 5621 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 530: /* attach_index: TOK_ATTACH TOK_INDEX identidx TOK_TO TOK_RTINDEX identidx opt_with_truncate  */
#line 1722 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_ATTACH_INDEX;
			pParser->ToString ( tStmt.m_sIndex, yyvsp[-4] );
			pParser->ToString ( tStmt.m_sStringParam, yyvsp[-1] );
		}
#line 5632 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 532: /* opt_with_truncate: TOK_WITH TOK_TRUNCATE  */
#line 1733 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_iIntParam = 1;
		}
#line 5640 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 533: /* flush_rtindex: TOK_FLUSH TOK_RTINDEX identidx  */
#line 1742 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_FLUSH_RTINDEX;
			pParser->ToString ( tStmt.m_sIndex, yyvsp[0] );
		}
#line 5650 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 534: /* flush_ramchunk: TOK_FLUSH TOK_RAMCHUNK identidx  */
#line 1751 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_FLUSH_RAMCHUNK;
			pParser->ToString ( tStmt.m_sIndex, yyvsp[0] );
		}
#line 5660 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 535: /* flush_index: TOK_FLUSH TOK_ATTRIBUTES  */
#line 1760 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_FLUSH_INDEX;
		}
#line 5669 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 536: /* flush_hostnames: TOK_FLUSH TOK_HOSTNAMES  */
#line 1768 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_FLUSH_HOSTNAMES;
		}
#line 5678 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 537: /* flush_logs: TOK_FLUSH TOK_LOGS  */
#line 1776 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_FLUSH_LOGS;
		}
#line 5687 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 538: /* select_sysvar: TOK_SELECT sysvar_list opt_limit_clause  */
#line 1786 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SELECT_SYSVAR;
			pParser->ToString ( pParser->m_pStmt->m_tQuery.m_sQuery, yyvsp[-1] );
		}
#line 5696 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 542: /* sysvar_name: sysvar  */
#line 1802 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
               { pParser->AddItem ( &yyvsp[0] ); }
#line 5702 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 543: /* select_dual: TOK_SELECT expr  */
#line 1807 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_SELECT_DUAL;
			pParser->ToString ( pParser->m_pStmt->m_tQuery.m_sQuery, yyvsp[0] );
		}
#line 5711 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 544: /* truncate: TOK_TRUNCATE rtindex only_one_index opt_with_reconfigure  */
#line 1817 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_TRUNCATE_RTINDEX;
		}
#line 5720 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 548: /* opt_with_reconfigure: TOK_WITH TOK_RECONFIGURE  */
#line 1831 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_iIntParam = 1;
		}
#line 5728 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 549: /* $@4: %empty  */
#line 1839 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                      { pParser->m_pStmt->m_eStmt = STMT_OPTIMIZE_INDEX; }
#line 5734 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 550: /* optimize_index: TOK_OPTIMIZE $@4 TOK_INDEX identidx opt_option_clause  */
#line 1841 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                        {
				pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-1] );
			}
#line 5742 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 551: /* reload_plugins: TOK_RELOAD TOK_PLUGINS TOK_FROM TOK_SONAME "string"  */
#line 1850 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & s = *pParser->m_pStmt;
			s.m_eStmt = STMT_RELOAD_PLUGINS;
			s.m_sUdfLib = pParser->ToStringUnescape ( yyvsp[0] );
		}
#line 5752 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 554: /* json_expr: ident subscript  */
#line 1865 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { yyval = yyvsp[-1]; yyval.m_iEnd = yyvsp[0].m_iEnd; }
#line 5758 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 556: /* subscript: subscript subkey  */
#line 1869 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { yyval = yyvsp[-1]; yyval.m_iEnd = yyvsp[0].m_iEnd; }
#line 5764 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 560: /* subkey: '[' expr ']'  */
#line 1876 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { yyval = yyvsp[-2]; yyval.m_iEnd = yyvsp[0].m_iEnd; }
#line 5770 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 561: /* subkey: '[' "string" ']'  */
#line 1877 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { yyval = yyvsp[-2]; yyval.m_iEnd = yyvsp[0].m_iEnd; }
#line 5776 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 562: /* streq: expr '=' strval  */
#line 1881 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 5782 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 563: /* streq: strval '=' expr  */
#line 1882 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                { TRACK_BOUNDS ( yyval, yyvsp[-2], yyvsp[0] ); }
#line 5788 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 566: /* opt_distinct_item: TOK_DISTINCT  */
#line 1893 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                        { pParser->AddDistinct ( nullptr ); }
#line 5794 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 567: /* opt_distinct_item: TOK_DISTINCT identcol  */
#line 1894 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                                                                { pParser->AddDistinct ( &yyvsp[0] ); }
#line 5800 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 570: /* facet_by: TOK_BY  */
#line 1904 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pQuery->m_sFacetBy = pParser->m_pQuery->m_sGroupBy;
			pParser->m_pQuery->m_sGroupBy = "";
			pParser->AddCount ();
		}
#line 5810 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 572: /* facet_expr: expr  */
#line 1917 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->AddItem ( &yyvsp[0] );
			pParser->AddGroupBy ( yyvsp[0] );
		}
#line 5819 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 575: /* facet_stmt: TOK_FACET facet_items_list opt_facet_by_items_list opt_distinct_item opt_order_clause opt_limit_clause  */
#line 1930 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_FACET;
			if ( pParser->m_pQuery->m_sFacetBy.IsEmpty() )
			{
				pParser->m_pQuery->m_sFacetBy = pParser->m_pQuery->m_sGroupBy;
				pParser->AddCount ();
			}
			if ( !pParser->MaybeAddFacetDistinct() )
				YYERROR;
		}
#line 5834 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 577: /* opt_reload_index_from: TOK_FROM "string"  */
#line 1945 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_sStringParam = pParser->ToStringUnescape ( yyvsp[0] );
		}
#line 5842 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 578: /* reload_index: TOK_RELOAD TOK_INDEX identidx opt_reload_index_from  */
#line 1952 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			pParser->m_pStmt->m_eStmt = STMT_RELOAD_INDEX;
			pParser->ToString ( pParser->m_pStmt->m_sIndex, yyvsp[-1]);
		}
#line 5851 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 579: /* reload_indexes: TOK_RELOAD TOK_INDEXES  */
#line 1960 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_RELOAD_INDEXES;
		}
#line 5860 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 580: /* sysfilters: TOK_SYSFILTERS filter_expr  */
#line 1968 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_SYSFILTERS;
		}
#line 5869 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 581: /* delete_cluster: TOK_DELETE TOK_CLUSTER ident  */
#line 1976 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                {
			SqlStmt_t & tStmt = *pParser->m_pStmt;
			tStmt.m_eStmt = STMT_CLUSTER_DELETE;
			pParser->ToString ( tStmt.m_sIndex, yyvsp[0] );
		}
#line 5879 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 582: /* $@5: %empty  */
#line 1984 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                      { pParser->m_pStmt->m_eStmt = STMT_EXPLAIN; }
#line 5885 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;

  case 583: /* explain_query: TOK_EXPLAIN $@5 ident ident "string" opt_option_clause  */
#line 1986 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"
                        {
				SqlStmt_t & tStmt = *pParser->m_pStmt;
				pParser->ToString ( tStmt.m_sCallProc, yyvsp[-3] );
				pParser->ToString ( tStmt.m_sIndex, yyvsp[-2] );
				pParser->m_pQuery->m_sQuery = pParser->ToStringUnescape ( yyvsp[-1] );
			}
#line 5896 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"
    break;


#line 5900 "/usr/src/RPM/BUILD/manticore-5.0.2/config/bissphinxql.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (pParser, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, pParser);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, pParser);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (pParser, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, pParser);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, pParser);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 1994 "/usr/src/RPM/BUILD/manticore-5.0.2/src/sphinxql.y"


#if _WIN32
#pragma warning(pop)
#endif
